Add io.grpc to target platform (master)
authorjsimomaa <jani.simomaa@gmail.com>
Mon, 3 Sep 2018 06:14:20 +0000 (09:14 +0300)
committerJani Simomaa <jsimomaa@dev2.simupedia.com>
Wed, 5 Sep 2018 06:46:42 +0000 (09:46 +0300)
gitlab #98

Change-Id: Ic003cf62b3933de2b530ec9ebd5947e93e5ac853

Add io.grpc to target platform (master)
Change-Id: I6a163a3f3e3281ca8eb0bae7f01feb17bb445685

Make import com.sun optional in protobuf (for io.grpc)
Change-Id: I38fd280bc04d67511f89bc200b66d9946cb8f9de

Make io.grpc.context as fragment bundle to fix duplicate package name
Change-Id: Icd8ac3b4cda5d046a84e859e0c84fa036eb08f83

Make io.grpc.context as fragment bundle to fix duplicate package name
Change-Id: Ia90030494ac42aac193d5a852464823224540dcf

io.grpc.context version bump b001
Change-Id: Ib809fb444ffe075ecfed4da597b13936857593a3

Try to fix grpc work with OSGI via ARIES serviceloader
Change-Id: Id534a1da66c9593d4b514166ec916de069c717de

Try to fix grpc work with OSGI via ARIES serviceloader
Change-Id: I60a1f7d97ee1bcf745a47c8625bbaf373ee008c3

Still try to fix grpc work with OSGI via ARIES serviceloader
Change-Id: I7cef18eaa455fdfb90ba038783daf1b97e05f1cf

Still try to fix grpc work with OSGI via ARIES serviceloader
Change-Id: I9c9ca3ef96d2220362ad180201b893a3fb937d56

Still try to fix grpc work with OSGI via ARIES serviceloader
Change-Id: Ia8dbdcf48aaa9c9c31c9f0c44d9340dc41fad3e5

Still try to fix grpc to work with OSGI via ARIES serviceloader
Change-Id: I7c1230a7adf790233fb4e4ed59156e389cecab9d

Still try to fix grpc to work with OSGI via ARIES serviceloader
Change-Id: Idc7fdadec0214840787b9f7655a617f9222403e0

Starting to run out of options with this one...
Change-Id: I4815b0fee534baa14feb46c67f8332eaac53ebf8

Starting to run out of options with this one...
Change-Id: Id4a28c7d8565d163754624fc955be10895715aad

I think i got dis grpc finally figured out
Change-Id: Id4eaab14733253a685a8a33c51b2abcfe361ade7

I think i got dis grpc finally figured out part 2
Change-Id: I54e86963d4faacc4d3750530d558f2b64b640691

I think i got dis grpc finally figured out part: after this give up
Change-Id: I20b574bbb25ce143645b469d7944a282bffbc7f5

I think i got dis grpc finally figured out part: after this give up
Change-Id: If77df59d67623725210e9d4e74ed235c63d92905

releng/io.grpc/.classpath [new file with mode: 0644]
releng/io.grpc/.gitignore [new file with mode: 0644]
releng/io.grpc/.project [new file with mode: 0644]
releng/io.grpc/pom.xml [new file with mode: 0644]
releng/org.simantics.sdk.build.p2.site/pom.xml
releng/org.simantics.sdk.build.targetdefinition/org.simantics.sdk.build.targetdefinition.target
releng/org.simantics.sdk.build.targetdefinition/org.simantics.sdk.build.targetdefinition.tpd
releng/org.simantics.sdk.build.targetdefinition/simantics.target

diff --git a/releng/io.grpc/.classpath b/releng/io.grpc/.classpath
new file mode 100644 (file)
index 0000000..4ed627d
--- /dev/null
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+       <classpathentry kind="src" output="target/classes" path="src/main/java">
+               <attributes>
+                       <attribute name="optional" value="true"/>
+                       <attribute name="maven.pomderived" value="true"/>
+               </attributes>
+       </classpathentry>
+       <classpathentry kind="src" output="target/test-classes" path="src/test/java">
+               <attributes>
+                       <attribute name="optional" value="true"/>
+                       <attribute name="maven.pomderived" value="true"/>
+               </attributes>
+       </classpathentry>
+       <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/J2SE-1.5">
+               <attributes>
+                       <attribute name="maven.pomderived" value="true"/>
+               </attributes>
+       </classpathentry>
+       <classpathentry exported="true" kind="con" path="org.eclipse.m2e.MAVEN2_CLASSPATH_CONTAINER">
+               <attributes>
+                       <attribute name="maven.pomderived" value="true"/>
+               </attributes>
+       </classpathentry>
+       <classpathentry kind="output" path="target/classes"/>
+</classpath>
diff --git a/releng/io.grpc/.gitignore b/releng/io.grpc/.gitignore
new file mode 100644 (file)
index 0000000..f0c3ef8
--- /dev/null
@@ -0,0 +1,4 @@
+.settings
+target
+/target/
+/.settings/
\ No newline at end of file
diff --git a/releng/io.grpc/.project b/releng/io.grpc/.project
new file mode 100644 (file)
index 0000000..a3f1cbe
--- /dev/null
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+       <name>io.grpc</name>
+       <comment></comment>
+       <projects>
+       </projects>
+       <buildSpec>
+               <buildCommand>
+                       <name>org.eclipse.jdt.core.javabuilder</name>
+                       <arguments>
+                       </arguments>
+               </buildCommand>
+               <buildCommand>
+                       <name>org.eclipse.m2e.core.maven2Builder</name>
+                       <arguments>
+                       </arguments>
+               </buildCommand>
+       </buildSpec>
+       <natures>
+               <nature>org.eclipse.pde.PluginNature</nature>
+               <nature>org.eclipse.jdt.core.javanature</nature>
+               <nature>org.eclipse.m2e.core.maven2Nature</nature>
+       </natures>
+</projectDescription>
diff --git a/releng/io.grpc/pom.xml b/releng/io.grpc/pom.xml
new file mode 100644 (file)
index 0000000..9dc3f9b
--- /dev/null
@@ -0,0 +1,84 @@
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+    <modelVersion>4.0.0</modelVersion>
+    <properties>
+        <grpc.version>1.14.0</grpc.version>
+        <grpc.version.actual>1.14.0.b007</grpc.version.actual>
+    </properties>
+
+    <groupId>io.grpc</groupId>
+    <artifactId>io.grpc</artifactId>
+    <version>1.14.0</version>
+    <packaging>bundle</packaging>
+
+    <dependencies>
+        <dependency>
+            <groupId>io.grpc</groupId>
+            <artifactId>grpc-core</artifactId>
+            <version>${grpc.version}</version>
+            <scope>runtime</scope>
+        </dependency>
+        <dependency>
+            <groupId>io.grpc</groupId>
+            <artifactId>grpc-context</artifactId>
+            <version>${grpc.version}</version>
+            <scope>runtime</scope>
+        </dependency>
+        <dependency>
+            <groupId>io.grpc</groupId>
+            <artifactId>grpc-stub</artifactId>
+            <version>${grpc.version}</version>
+            <scope>runtime</scope>
+        </dependency>
+        <dependency>
+            <groupId>io.grpc</groupId>
+            <artifactId>grpc-protobuf</artifactId>
+            <version>${grpc.version}</version>
+            <scope>runtime</scope>
+        </dependency>
+        <dependency>
+            <groupId>io.grpc</groupId>
+            <artifactId>grpc-protobuf-lite</artifactId>
+            <version>${grpc.version}</version>
+            <scope>runtime</scope>
+        </dependency>
+    </dependencies>
+
+    <build>
+        <plugins>
+            <plugin>
+                <groupId>org.apache.felix</groupId>
+                <artifactId>maven-bundle-plugin</artifactId>
+                <version>3.5.1</version>
+                <extensions>true</extensions>
+                <configuration>
+                    <instructions>
+                        <Bundle-SymbolicName>io.grpc</Bundle-SymbolicName>
+                        <Bundle-Version>${grpc.version}</Bundle-Version>
+                        <Export-Package>*</Export-Package>
+                        <Embed-Dependency>*;scope=compile|runtime</Embed-Dependency>
+                        <Embed-Directory>target/dependency</Embed-Directory>
+                        <Require-Capability>
+                            osgi.extender;
+                                filter:="(osgi.extender=osgi.serviceloader.processor)",
+                            osgi.serviceloader;
+                                filter:="(osgi.serviceloader=io.grpc.ServerProvider)";
+                                cardinality:=multiple,
+                            osgi.serviceloader;
+                                filter:="(osgi.serviceloader=io.grpc.ManagedChannelProvider)";
+                                cardinality:=multiple
+                        </Require-Capability>
+                        <Require-Bundle>
+                            com.google.guava,
+                            com.google.protobuf,
+                            com.google.api.grpc.proto-google-common-protos
+                        </Require-Bundle>
+                        <Import-Package>*;resolution:=optional</Import-Package>
+                        <Bundle-Version>${grpc.version.actual}</Bundle-Version>
+                    </instructions>
+                </configuration>
+            </plugin>
+        </plugins>
+    </build>
+
+</project>
\ No newline at end of file
index db4e9b9e3de818bc1506ee898a78a79c62cfa7f2..87df82cfe3b4d8cf4ca3c32215da0b98eb68b932 100644 (file)
         <jersey.version>2.25.1</jersey.version>
         <slf4j.version>1.7.25</slf4j.version>
         <slf4j.version.actual>1.7.25.b001</slf4j.version.actual>
+        <grpc.version>1.14.0</grpc.version>
+        <grpc.version.actual>1.14.0.b007</grpc.version.actual>
+        <protobuf.version>3.5.1</protobuf.version>
     </properties>
 
-
     <repositories>
         <!--
         <repository>
             <id>project-specific-deps</id>
             <name>project-specific-deps</name>
             <url>file:///${basedir}/repo</url>
-        </repository>
+        </repository>c.version.actual
         --> 
     </repositories>
 
                                     <source>true</source>
                                 </artifact>
                                  <artifact>
-                                     <id>org.apache.aries.spifly:org.apache.aries.spifly.dynamic.bundle:1.0.8</id>
+                                     <id>org.apache.aries.spifly:org.apache.aries.spifly.dynamic.bundle:1.0.14</id>
+                                     <source>true</source>
                                  </artifact>
                                 <artifact>
                                     <id>org.glassfish.jersey.core:jersey-server:${jersey.version}</id>
                                     <id>org.eclipse.jetty:jetty-servlets:9.4.5.v20170502</id>
                                     <source>true</source>
                                 </artifact>
+                                <artifact>
+                                    <id>io.grpc:io.grpc:${grpc.version}</id>
+                                    <source>true</source>
+                                </artifact>
+                                <artifact>
+                                    <id>io.grpc:grpc-netty:${grpc.version}</id>
+                                    <source>true</source>
+                                    <override>true</override>
+                                    <instructions>
+                                        <Require-Bundle>
+                                             io.netty.buffer;bundle-version="4.1.27",
+                                             io.netty.codec;bundle-version="4.1.27",
+                                             io.netty.codec-http;bundle-version="4.1.27",
+                                             io.netty.codec-http2;bundle-version="4.1.27",
+                                             io.netty.codec-socks;bundle-version="4.1.27",
+                                             io.netty.common;bundle-version="4.1.27",
+                                             io.netty.handler;bundle-version="4.1.27",
+                                             io.netty.handler-proxy;bundle-version="4.1.27",
+                                             io.netty.resolver;bundle-version="4.1.27",
+                                             io.netty.transport;bundle-version="4.1.27",
+                                             io.grpc
+                                        </Require-Bundle>
+                                        <Import-Package>!io.netty.*,*;resolution:=optional</Import-Package>
+                                        <Require-Capability>
+                                            osgi.extender;
+                                                filter:="(osgi.extender=osgi.serviceloader.registrar)"
+                                        </Require-Capability>
+                                        <Provide-Capability>
+                                            osgi.serviceloader;
+                                                osgi.serviceloader=io.grpc.ServerProvider,
+                                            osgi.serviceloader;
+                                                osgi.serviceloader=io.grpc.ManagedChannelProvider
+                                        </Provide-Capability>
+                                        <Bundle-Version>${grpc.version.actual}</Bundle-Version>
+                                    </instructions>
+                                </artifact>
+                                <artifact>
+                                    <id>com.google.protobuf:protobuf-java:${protobuf.version}</id>
+                                    <source>true</source>
+                                    <override>true</override>
+                                    <instructions>
+                                        <Import-Package>!sun.misc.*,*;resolution:=optional</Import-Package>
+                                    </instructions>
+                                </artifact>
                             </artifacts>
                         </configuration>
                     </execution>
index 248c48b194f9c905519e27da4681b28af1f08bd0..8b97dffd87092934bb4bff7576972af484b26286 100644 (file)
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>\r
-<?pde?>\r
-<!-- generated with https://github.com/mbarbero/fr.obeo.releng.targetplatform -->\r
-<target name="Eclipse Oxygen" sequenceNumber="1534243580">\r
-  <locations>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="com.google.guava" version="21.0.0.v20170206-1425"/>\r
-      <unit id="com.google.guava.source" version="21.0.0.v20170206-1425"/>\r
-      <unit id="org.objectweb.asm" version="5.2.0.v20170126-0011"/>\r
-      <unit id="org.objectweb.asm.analysis" version="5.2.0.v20170126-0011"/>\r
-      <unit id="org.objectweb.asm.analysis.source" version="5.2.0.v20170126-0011"/>\r
-      <unit id="org.objectweb.asm.commons" version="5.2.0.v20170126-0011"/>\r
-      <unit id="org.objectweb.asm.commons.source" version="5.2.0.v20170126-0011"/>\r
-      <unit id="org.objectweb.asm.source" version="5.2.0.v20170126-0011"/>\r
-      <unit id="org.objectweb.asm.tree" version="5.2.0.v20170126-0011"/>\r
-      <unit id="org.objectweb.asm.tree.source" version="5.2.0.v20170126-0011"/>\r
-      <unit id="org.objectweb.asm.util" version="5.2.0.v20170126-0011"/>\r
-      <unit id="org.objectweb.asm.util.source" version="5.2.0.v20170126-0011"/>\r
-      <unit id="org.objectweb.asm.xml" version="5.2.0.v20170126-0011"/>\r
-      <unit id="org.objectweb.asm.xml.source" version="5.2.0.v20170126-0011"/>\r
-      <repository location="http://www.simantics.org/update/tools/orbit/downloads/drops/R20170516192513"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="javax.xml" version="1.3.4.v201005080400"/>\r
-      <unit id="org.apache.commons.httpclient" version="3.1.0.v201012070820"/>\r
-      <unit id="org.apache.commons.httpclient.source" version="3.1.0.v201012070820"/>\r
-      <unit id="org.apache.xerces" version="2.9.0.v201101211617"/>\r
-      <unit id="org.apache.xml.resolver" version="1.2.0.v201005080400"/>\r
-      <unit id="org.apache.xml.serializer" version="2.7.1.v201005080400"/>\r
-      <unit id="org.eclipse.draw2d.feature.group" version="3.10.100.201606061308"/>\r
-      <unit id="org.eclipse.emf.sdk.feature.group" version="2.13.0.v20170609-0928"/>\r
-      <unit id="org.eclipse.epp.mpc.feature.group" version="1.6.0.v20170616-0843"/>\r
-      <unit id="org.eclipse.epp.mpc.source.feature.group" version="1.6.0.v20170616-0843"/>\r
-      <unit id="org.eclipse.mylyn.commons.feature.group" version="3.23.0.v20170503-0014"/>\r
-      <unit id="org.eclipse.mylyn.commons.identity.feature.group" version="1.15.0.v20170411-1844"/>\r
-      <unit id="org.eclipse.mylyn.commons.net" version="3.23.0.v20170411-1844"/>\r
-      <unit id="org.eclipse.mylyn.commons.net.source" version="3.23.0.v20170411-1844"/>\r
-      <unit id="org.eclipse.mylyn.commons.notifications.feature.group" version="1.15.0.v20170411-1844"/>\r
-      <unit id="org.eclipse.mylyn.commons.repositories.core" version="1.15.0.v20170411-1844"/>\r
-      <unit id="org.eclipse.mylyn.commons.repositories.core.source" version="1.15.0.v20170411-1844"/>\r
-      <unit id="org.eclipse.mylyn.commons.repositories.ui" version="1.15.0.v20170411-1844"/>\r
-      <unit id="org.eclipse.mylyn.commons.repositories.ui.source" version="1.15.0.v20170411-1844"/>\r
-      <unit id="org.eclipse.mylyn.context_feature.feature.group" version="3.23.0.v20170414-0629"/>\r
-      <unit id="org.eclipse.mylyn.monitor.feature.group" version="3.23.0.v20170411-1844"/>\r
-      <unit id="org.eclipse.mylyn.tasks.core" version="3.23.0.v20170602-2017"/>\r
-      <unit id="org.eclipse.mylyn.tasks.core.source" version="3.23.0.v20170602-2017"/>\r
-      <unit id="org.eclipse.mylyn.tasks.ui" version="3.23.0.v20170608-2055"/>\r
-      <unit id="org.eclipse.mylyn.tasks.ui.source" version="3.23.0.v20170608-2055"/>\r
-      <unit id="org.eclipse.mylyn.wikitext_feature.feature.group" version="3.0.6.201703111926"/>\r
-      <unit id="org.eclipse.mylyn.wikitext.ant.source" version="3.0.6.20170311142502"/>\r
-      <unit id="org.eclipse.mylyn.wikitext.mediawiki.source" version="3.0.6.20170311142502"/>\r
-      <unit id="org.eclipse.mylyn.wikitext.osgi.source" version="3.0.6.201703111926"/>\r
-      <unit id="org.eclipse.mylyn.wikitext.source" version="3.0.6.20170311142502"/>\r
-      <unit id="org.eclipse.userstorage.feature.group" version="1.1.0.v20170526-1605"/>\r
-      <unit id="org.eclipse.userstorage.oauth" version="1.0.0.v20170526-1605"/>\r
-      <unit id="org.eclipse.userstorage.oauth.source" version="1.0.0.v20170526-1605"/>\r
-      <unit id="org.eclipse.userstorage.source" version="1.1.0.v20170328-0205"/>\r
-      <unit id="org.eclipse.userstorage.ui.source" version="1.0.2.v20170526-1605"/>\r
-      <repository location="http://www.simantics.org/update/oxygen/"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="org.apache.httpcomponents.httpclient" version="4.5.2.v20170210-0925"/>\r
-      <unit id="org.apache.httpcomponents.httpclient.source" version="4.5.2.v20170210-0925"/>\r
-      <unit id="org.apache.httpcomponents.httpcore" version="4.4.6.v20170210-0925"/>\r
-      <unit id="org.apache.httpcomponents.httpcore.source" version="4.4.6.v20170210-0925"/>\r
-      <unit id="org.eclipse.core.runtime.feature.feature.group" version="1.2.0.v20170518-1049"/>\r
-      <unit id="org.eclipse.e4.core.tools.feature.feature.group" version="4.7.0.v20170515-1617"/>\r
-      <unit id="org.eclipse.e4.core.tools.feature.source.feature.group" version="4.7.0.v20170515-1617"/>\r
-      <unit id="org.eclipse.ecf.core.feature.feature.group" version="1.4.0.v20170516-2248"/>\r
-      <unit id="org.eclipse.ecf.core.feature.source.feature.group" version="1.4.0.v20170516-2248"/>\r
-      <unit id="org.eclipse.ecf.core.ssl.feature.feature.group" version="1.1.0.v20170110-1317"/>\r
-      <unit id="org.eclipse.ecf.core.ssl.feature.source.feature.group" version="1.1.0.v20170110-1317"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.feature.feature.group" version="3.13.7.v20170516-2248"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.feature.source.feature.group" version="3.13.7.v20170516-2248"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.httpclient4.feature.feature.group" version="3.13.7.v20170516-2248"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.httpclient4.feature.source.feature.group" version="3.13.7.v20170516-2248"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.httpclient4.ssl.feature.feature.group" version="1.1.0.v20170110-1317"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.httpclient4.ssl.feature.source.feature.group" version="1.1.0.v20170110-1317"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.ssl.feature.feature.group" version="1.1.0.v20170110-1317"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.ssl.feature.source.feature.group" version="1.1.0.v20170110-1317"/>\r
-      <unit id="org.eclipse.equinox.p2.discovery.feature.feature.group" version="1.1.0.v20170418-0708"/>\r
-      <unit id="org.eclipse.equinox.sdk.feature.group" version="3.13.0.v20170531-1133"/>\r
-      <unit id="org.eclipse.help.feature.group" version="2.2.100.v20170612-0950"/>\r
-      <unit id="org.eclipse.help.source.feature.group" version="2.2.100.v20170612-0950"/>\r
-      <unit id="org.eclipse.platform.feature.group" version="4.7.0.v20170612-1255"/>\r
-      <unit id="org.eclipse.platform.source.feature.group" version="4.7.0.v20170612-1255"/>\r
-      <unit id="org.eclipse.rcp.feature.group" version="4.7.0.v20170612-1255"/>\r
-      <unit id="org.eclipse.rcp.source.feature.group" version="4.7.0.v20170612-1255"/>\r
-      <unit id="org.eclipse.releng.tools.feature.group" version="3.9.100.v20170516-0717"/>\r
-      <unit id="org.eclipse.sdk.ide" version="4.7.0.I20170612-0950"/>\r
-      <unit id="org.eclipse.swt.tools.feature.feature.group" version="3.106.0.v20170503-0851"/>\r
-      <repository location="http://www.simantics.org/update/eclipse/updates/4.7/"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="org.eclipse.nebula.cwt.feature.feature.group" version="1.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.effects.stw.feature.feature.group" version="1.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.examples.feature.feature.group" version="1.0.4.201706221838"/>\r
-      <unit id="org.eclipse.nebula.examples.release.feature.feature.group" version="1.1.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.feature.feature.group" version="1.3.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.visualization.feature.feature.group" version="2.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.cdatetime.feature.feature.group" version="1.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.compositetable.feature.feature.group" version="1.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.gallery.feature.feature.group" version="1.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.ganttchart.feature.feature.group" version="1.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.grid.feature.feature.group" version="1.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.oscilloscope.feature.feature.group" version="1.3.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.paperclips.feature.feature.group" version="2.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.pgroup.feature.feature.group" version="1.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.pshelf.css.feature.feature.group" version="1.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.pshelf.feature.feature.group" version="1.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.richtext.feature.feature.group" version="1.2.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.tablecombo.feature.feature.group" version="1.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.xviewer.feature.feature.group" version="1.0.0.201706221838"/>\r
-      <repository location="http://www.simantics.org/update/nebula/releases/1.3.0/release/"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="org.eclipse.nebula.widgets.nattable.core.feature.feature.group" version="1.5.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.core.source.feature.feature.group" version="1.5.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.e4.feature.feature.group" version="1.1.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.e4.source.feature.feature.group" version="1.1.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.glazedlists.feature.feature.group" version="1.5.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.glazedlists.source.feature.feature.group" version="1.5.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.nebula.feature.feature.group" version="1.1.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.nebula.source.feature.feature.group" version="1.1.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.poi.feature.feature.group" version="1.5.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.poi.source.feature.feature.group" version="1.5.0.201703192131"/>\r
-      <repository location="http://www.simantics.org/update/nebula/nattable/releases/1.5.0/repository/"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="org.eclipse.e4.tools.spies.feature.feature.group" version="0.17.0.v20170601-1400"/>\r
-      <repository location="http://www.simantics.org/update/e4/snapshots/org.eclipse.e4.tools/latest-oxygen/"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="org.eclipse.nebula.incubation.feature.feature.group" version="1.0.0.201708070950"/>\r
-      <unit id="org.eclipse.nebula.examples.incubation.feature.feature.group" version="1.0.0.201708070950"/>\r
-      <repository location="http://www.simantics.org/update/nebula/releases/1.3.0/incubation/"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="bouncycastle.bcmail-jdk14" version="138.0.0"/>\r
-      <unit id="bouncycastle.bcprov-jdk14" version="138.0.0"/>\r
-      <unit id="ch.qos.logback.classic" version="1.2.3"/>\r
-      <unit id="ch.qos.logback.classic.source" version="1.2.3"/>\r
-      <unit id="ch.qos.logback.core" version="1.2.3"/>\r
-      <unit id="ch.qos.logback.core.source" version="1.2.3"/>\r
-      <unit id="com.esotericsoftware.kryo" version="4.0.0"/>\r
-      <unit id="com.esotericsoftware.kryo.source" version="4.0.0"/>\r
-      <unit id="com.esotericsoftware.minlog" version="1.3.0"/>\r
-      <unit id="com.esotericsoftware.minlog.source" version="1.3.0"/>\r
-      <unit id="com.esotericsoftware.reflectasm" version="1.11.3"/>\r
-      <unit id="com.esotericsoftware.reflectasm.source" version="1.11.3"/>\r
-      <unit id="com.fasterxml.jackson.core.jackson-annotations" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.core.jackson-annotations.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.core.jackson-core" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.core.jackson-core.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.core.jackson-databind" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.core.jackson-databind.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-csv" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-csv.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-xml" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-xml.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.datatype.jackson-datatype-jsr310" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.datatype.jackson-datatype-jsr310.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-base" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-base.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.module.jackson-module-jaxb-annotations" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.module.jackson-module-jaxb-annotations.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.woodstox.woodstox-core" version="5.0.3"/>\r
-      <unit id="com.fasterxml.woodstox.woodstox-core.source" version="5.0.3"/>\r
-      <unit id="com.github.virtuald.curvesapi" version="1.4.0"/>\r
-      <unit id="com.github.virtuald.curvesapi.source" version="1.4.0"/>\r
-      <unit id="com.healthmarketscience.jackcess" version="2.1.3"/>\r
-      <unit id="com.healthmarketscience.jackcess.source" version="2.1.3"/>\r
-      <unit id="com.koloboke.api-jdk8" version="1.0.0"/>\r
-      <unit id="com.koloboke.api-jdk8.source" version="1.0.0"/>\r
-      <unit id="com.koloboke.compile" version="0.5.1"/>\r
-      <unit id="com.koloboke.compile.source" version="0.5.1"/>\r
-      <unit id="com.koloboke.impl-common-jdk8" version="1.0.0"/>\r
-      <unit id="com.koloboke.impl-common-jdk8.source" version="1.0.0"/>\r
-      <unit id="com.lowagie.text" version="2.1.7.b1"/>\r
-      <unit id="com.lowagie.text.source" version="2.1.7.b1"/>\r
-      <unit id="com.sun.jna" version="4.3.0"/>\r
-      <unit id="com.sun.jna.platform" version="4.3.0"/>\r
-      <unit id="com.sun.jna.platform.source" version="4.3.0"/>\r
-      <unit id="com.sun.jna.source" version="4.3.0"/>\r
-      <unit id="freemarker" version="2.3.23.stable"/>\r
-      <unit id="freemarker.source" version="2.3.23.stable"/>\r
-      <unit id="gnu.trove3" version="3.0.3"/>\r
-      <unit id="gnu.trove3.source" version="3.0.3"/>\r
-      <unit id="it.unimi.dsi.fastutil" version="7.2.1"/>\r
-      <unit id="it.unimi.dsi.fastutil.source" version="7.2.1"/>\r
-      <unit id="jakarta-regexp" version="1.4.0"/>\r
-      <unit id="javassist" version="3.20.0.GA"/>\r
-      <unit id="javassist.source" version="3.20.0.GA"/>\r
-      <unit id="javax.servlet-api" version="3.1.0"/>\r
-      <unit id="javax.servlet-api.source" version="3.1.0"/>\r
-      <unit id="javax.validation.api" version="1.1.0.Final"/>\r
-      <unit id="javax.validation.api.source" version="1.1.0.Final"/>\r
-      <unit id="javax.ws.rs-api" version="2.0.1"/>\r
-      <unit id="javax.ws.rs-api.source" version="2.0.1"/>\r
-      <unit id="net.jcip.annotations" version="1.0.0"/>\r
-      <unit id="net.jcip.annotations.source" version="1.0.0"/>\r
-      <unit id="net.ucanaccess" version="3.0.7"/>\r
-      <unit id="net.ucanaccess.source" version="3.0.7"/>\r
-      <unit id="org.antlr.runtime" version="3.5.2"/>\r
-      <unit id="org.antlr.runtime.source" version="3.5.2"/>\r
-      <unit id="org.apache.aries.spifly.core-internal" version="1.0.8"/>\r
-      <unit id="org.apache.aries.spifly.dynamic.bundle" version="1.0.8"/>\r
-      <unit id="org.apache.aries.spifly.weaver-internal" version="1.0.8"/>\r
-      <unit id="org.apache.aries.util" version="1.0.0"/>\r
-      <unit id="org.apache.commons.codec" version="1.10.0"/>\r
-      <unit id="org.apache.commons.codec.source" version="1.10.0"/>\r
-      <unit id="org.apache.commons.collections" version="3.2.2"/>\r
-      <unit id="org.apache.commons.collections.source" version="3.2.2"/>\r
-      <unit id="org.apache.commons.collections4" version="4.1.0"/>\r
-      <unit id="org.apache.commons.collections4.source" version="4.1.0"/>\r
-      <unit id="org.apache.commons.compress" version="1.12.0"/>\r
-      <unit id="org.apache.commons.compress.source" version="1.12.0"/>\r
-      <unit id="org.apache.commons.io" version="2.4.0"/>\r
-      <unit id="org.apache.commons.io.source" version="2.4.0"/>\r
-      <unit id="org.apache.commons.lang" version="2.6.0"/>\r
-      <unit id="org.apache.commons.lang.source" version="2.6.0"/>\r
-      <unit id="org.apache.commons.logging" version="1.2.0"/>\r
-      <unit id="org.apache.commons.logging.source" version="1.2.0"/>\r
-      <unit id="org.apache.commons.math3" version="3.6.1"/>\r
-      <unit id="org.apache.commons.math3.source" version="3.6.1"/>\r
-      <unit id="org.apache.log4j" version="1.2.17"/>\r
-      <unit id="org.apache.log4j.source" version="1.2.17"/>\r
-      <unit id="org.apache.lucene4.analyzers-common" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.analyzers-common.source" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.core" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.core.source" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.queries" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.queries.source" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.queryparser" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.queryparser.source" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.sandbox" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.sandbox.source" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.pdfbox" version="2.0.3"/>\r
-      <unit id="org.apache.pdfbox.fontbox" version="2.0.3"/>\r
-      <unit id="org.apache.pdfbox.fontbox.source" version="2.0.3"/>\r
-      <unit id="org.apache.pdfbox.source" version="2.0.3"/>\r
-      <unit id="org.apache.pdfbox.xmpbox" version="2.0.3"/>\r
-      <unit id="org.apache.pdfbox.xmpbox.source" version="2.0.3"/>\r
-      <unit id="org.apache.xmlbeans" version="2.6.0"/>\r
-      <unit id="org.bouncycastle.bcmail-jdk14" version="1.38.0"/>\r
-      <unit id="org.bouncycastle.bcmail-jdk14.source" version="1.38.0"/>\r
-      <unit id="org.bouncycastle.bcprov-jdk14" version="1.38.0"/>\r
-      <unit id="org.bouncycastle.bcprov-jdk14.source" version="1.38.0"/>\r
-      <unit id="org.bouncycastle.bctsp-jdk14" version="1.38.0"/>\r
-      <unit id="org.bouncycastle.bctsp-jdk14.source" version="1.38.0"/>\r
-      <unit id="org.eclipse.collections.eclipse-collections-api" version="8.1.0"/>\r
-      <unit id="org.eclipse.collections.eclipse-collections-api.source" version="8.1.0"/>\r
-      <unit id="org.eclipse.collections.eclipse-collections" version="8.1.0"/>\r
-      <unit id="org.eclipse.collections.eclipse-collections.source" version="8.1.0"/>\r
-      <unit id="org.eclipse.jetty.servlets" version="9.4.5.v20170502"/>\r
-      <unit id="org.eclipse.jetty.servlets.source" version="9.4.5.v20170502"/>\r
-      <unit id="org.glassfish.hk2.api" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.hk2.api.source" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.hk2.locator" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.hk2.locator.source" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.hk2.osgi-resource-locator" version="1.0.1"/>\r
-      <unit id="org.glassfish.hk2.osgi-resource-locator.source" version="1.0.1"/>\r
-      <unit id="org.glassfish.hk2.utils" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.hk2.utils.source" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.jersey.bundles.repackaged.jersey-guava" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.bundles.repackaged.jersey-guava.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.hk2.external.aopalliance-repackaged" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.hk2.external.aopalliance-repackaged.source" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.jersey.core.jersey-client" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.core.jersey-client.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.core.jersey-common" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.core.jersey-common.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.core.jersey-server" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.core.jersey-server.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.ext.jersey-entity-filtering" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.ext.jersey-entity-filtering.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.media.jersey-media-json-jackson" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.media.jersey-media-json-jackson.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.media.jersey-media-multipart" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.media.jersey-media-multipart.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.containers.jersey-container-servlet-core" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.containers.jersey-container-servlet-core.source" version="2.25.1"/>\r
-      <unit id="org.hsqldb.hsqldb" version="2.3.1"/>\r
-      <unit id="org.hsqldb.hsqldb.source" version="2.3.1"/>\r
-      <unit id="org.ini4j" version="0.5.4"/>\r
-      <unit id="org.ini4j.source" version="0.5.4"/>\r
-      <unit id="org.jboss.windup.decompiler.api.forge-addon" version="4.0.0.Beta1"/>\r
-      <unit id="org.jboss.windup.decompiler.api.forge-addon.source" version="4.0.0.Beta1"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon" version="4.0.0.Beta1"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.source" version="4.0.0.Beta1"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-compilertools" version="1.0.0.20160510"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-compilertools.source" version="1.0.0.20160510"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-core" version="1.0.0.20160510"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-core.source" version="1.0.0.20160510"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-reflection" version="1.0.0.20160510"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-reflection.source" version="1.0.0.20160510"/>\r
-      <unit id="org.jboss.windup.utils.windup-utils.forge-addon" version="4.0.0.Beta1"/>\r
-      <unit id="org.jboss.windup.utils.windup-utils.forge-addon.source" version="4.0.0.Beta1"/>\r
-      <unit id="jaxen" version="1.1.6"/>\r
-      <unit id="jaxen.source" version="1.1.6"/>\r
-      <unit id="org.jdom2" version="2.0.6.b0001"/>\r
-      <unit id="org.jdom2.source" version="2.0.6.b0001"/>\r
-      <unit id="org.jfree.jchart" version="1.0.19"/>\r
-      <unit id="org.jfree.jchart.source" version="1.0.19"/>\r
-      <unit id="org.jfree.jcommon" version="1.0.23"/>\r
-      <unit id="org.jfree.jcommon.source" version="1.0.23"/>\r
-      <unit id="org.jsoup" version="1.8.3"/>\r
-      <unit id="org.jsoup.source" version="1.8.3"/>\r
-      <unit id="org.jvnet.mimepull" version="1.9.6"/>\r
-      <unit id="org.jvnet.mimepull.source" version="1.9.6"/>\r
-      <unit id="org.mozilla.rhino" version="1.7.7.1"/>\r
-      <unit id="org.mozilla.rhino.source" version="1.7.7.1"/>\r
-      <unit id="org.objenesis" version="2.2.0"/>\r
-      <unit id="org.objenesis.source" version="2.2.0"/>\r
-      <unit id="org.slf4j.api" version="1.7.25.b001"/>\r
-      <unit id="org.slf4j.api.source" version="1.7.25.b001"/>\r
-      <unit id="org.supercsv" version="2.4.0"/>\r
-      <unit id="org.supercsv.source" version="2.4.0"/>\r
-      <unit id="stax2-api" version="3.1.4"/>\r
-      <unit id="stax2-api.source" version="3.1.4"/>\r
-      <repository location="http://www.simantics.org/download/master/external-components/maven"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="org.apache.batik" version="1.8.0.201611220734"/>\r
-      <unit id="org.apache.poi.feature.feature.group" version="3.15.0.b0002"/>\r
-      <repository location="http://www.simantics.org/download/master/external-components/manual"/>\r
-    </location>\r
-  </locations>\r
-</target>\r
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<?pde?>
+<!-- generated with https://github.com/mbarbero/fr.obeo.releng.targetplatform -->
+<target name="Eclipse Oxygen" sequenceNumber="1536047380">
+  <locations>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="com.google.guava" version="21.0.0.v20170206-1425"/>
+      <unit id="com.google.guava.source" version="21.0.0.v20170206-1425"/>
+      <unit id="org.objectweb.asm" version="5.2.0.v20170126-0011"/>
+      <unit id="org.objectweb.asm.analysis" version="5.2.0.v20170126-0011"/>
+      <unit id="org.objectweb.asm.analysis.source" version="5.2.0.v20170126-0011"/>
+      <unit id="org.objectweb.asm.commons" version="5.2.0.v20170126-0011"/>
+      <unit id="org.objectweb.asm.commons.source" version="5.2.0.v20170126-0011"/>
+      <unit id="org.objectweb.asm.source" version="5.2.0.v20170126-0011"/>
+      <unit id="org.objectweb.asm.tree" version="5.2.0.v20170126-0011"/>
+      <unit id="org.objectweb.asm.tree.source" version="5.2.0.v20170126-0011"/>
+      <unit id="org.objectweb.asm.util" version="5.2.0.v20170126-0011"/>
+      <unit id="org.objectweb.asm.util.source" version="5.2.0.v20170126-0011"/>
+      <unit id="org.objectweb.asm.xml" version="5.2.0.v20170126-0011"/>
+      <unit id="org.objectweb.asm.xml.source" version="5.2.0.v20170126-0011"/>
+      <repository location="http://www.simantics.org/update/tools/orbit/downloads/drops/R20170516192513"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="javax.xml" version="1.3.4.v201005080400"/>
+      <unit id="org.apache.commons.httpclient" version="3.1.0.v201012070820"/>
+      <unit id="org.apache.commons.httpclient.source" version="3.1.0.v201012070820"/>
+      <unit id="org.apache.xerces" version="2.9.0.v201101211617"/>
+      <unit id="org.apache.xml.resolver" version="1.2.0.v201005080400"/>
+      <unit id="org.apache.xml.serializer" version="2.7.1.v201005080400"/>
+      <unit id="org.eclipse.draw2d.feature.group" version="3.10.100.201606061308"/>
+      <unit id="org.eclipse.emf.sdk.feature.group" version="2.13.0.v20170609-0928"/>
+      <unit id="org.eclipse.epp.mpc.feature.group" version="1.6.0.v20170616-0843"/>
+      <unit id="org.eclipse.epp.mpc.source.feature.group" version="1.6.0.v20170616-0843"/>
+      <unit id="org.eclipse.mylyn.commons.feature.group" version="3.23.0.v20170503-0014"/>
+      <unit id="org.eclipse.mylyn.commons.identity.feature.group" version="1.15.0.v20170411-1844"/>
+      <unit id="org.eclipse.mylyn.commons.net" version="3.23.0.v20170411-1844"/>
+      <unit id="org.eclipse.mylyn.commons.net.source" version="3.23.0.v20170411-1844"/>
+      <unit id="org.eclipse.mylyn.commons.notifications.feature.group" version="1.15.0.v20170411-1844"/>
+      <unit id="org.eclipse.mylyn.commons.repositories.core" version="1.15.0.v20170411-1844"/>
+      <unit id="org.eclipse.mylyn.commons.repositories.core.source" version="1.15.0.v20170411-1844"/>
+      <unit id="org.eclipse.mylyn.commons.repositories.ui" version="1.15.0.v20170411-1844"/>
+      <unit id="org.eclipse.mylyn.commons.repositories.ui.source" version="1.15.0.v20170411-1844"/>
+      <unit id="org.eclipse.mylyn.context_feature.feature.group" version="3.23.0.v20170414-0629"/>
+      <unit id="org.eclipse.mylyn.monitor.feature.group" version="3.23.0.v20170411-1844"/>
+      <unit id="org.eclipse.mylyn.tasks.core" version="3.23.0.v20170602-2017"/>
+      <unit id="org.eclipse.mylyn.tasks.core.source" version="3.23.0.v20170602-2017"/>
+      <unit id="org.eclipse.mylyn.tasks.ui" version="3.23.0.v20170608-2055"/>
+      <unit id="org.eclipse.mylyn.tasks.ui.source" version="3.23.0.v20170608-2055"/>
+      <unit id="org.eclipse.mylyn.wikitext_feature.feature.group" version="3.0.6.201703111926"/>
+      <unit id="org.eclipse.mylyn.wikitext.ant.source" version="3.0.6.20170311142502"/>
+      <unit id="org.eclipse.mylyn.wikitext.mediawiki.source" version="3.0.6.20170311142502"/>
+      <unit id="org.eclipse.mylyn.wikitext.osgi.source" version="3.0.6.201703111926"/>
+      <unit id="org.eclipse.mylyn.wikitext.source" version="3.0.6.20170311142502"/>
+      <unit id="org.eclipse.userstorage.feature.group" version="1.1.0.v20170526-1605"/>
+      <unit id="org.eclipse.userstorage.oauth" version="1.0.0.v20170526-1605"/>
+      <unit id="org.eclipse.userstorage.oauth.source" version="1.0.0.v20170526-1605"/>
+      <unit id="org.eclipse.userstorage.source" version="1.1.0.v20170328-0205"/>
+      <unit id="org.eclipse.userstorage.ui.source" version="1.0.2.v20170526-1605"/>
+      <repository location="http://www.simantics.org/update/oxygen/"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.apache.httpcomponents.httpclient" version="4.5.2.v20170210-0925"/>
+      <unit id="org.apache.httpcomponents.httpclient.source" version="4.5.2.v20170210-0925"/>
+      <unit id="org.apache.httpcomponents.httpcore" version="4.4.6.v20170210-0925"/>
+      <unit id="org.apache.httpcomponents.httpcore.source" version="4.4.6.v20170210-0925"/>
+      <unit id="org.eclipse.core.runtime.feature.feature.group" version="1.2.0.v20170518-1049"/>
+      <unit id="org.eclipse.e4.core.tools.feature.feature.group" version="4.7.0.v20170515-1617"/>
+      <unit id="org.eclipse.e4.core.tools.feature.source.feature.group" version="4.7.0.v20170515-1617"/>
+      <unit id="org.eclipse.ecf.core.feature.feature.group" version="1.4.0.v20170516-2248"/>
+      <unit id="org.eclipse.ecf.core.feature.source.feature.group" version="1.4.0.v20170516-2248"/>
+      <unit id="org.eclipse.ecf.core.ssl.feature.feature.group" version="1.1.0.v20170110-1317"/>
+      <unit id="org.eclipse.ecf.core.ssl.feature.source.feature.group" version="1.1.0.v20170110-1317"/>
+      <unit id="org.eclipse.ecf.filetransfer.feature.feature.group" version="3.13.7.v20170516-2248"/>
+      <unit id="org.eclipse.ecf.filetransfer.feature.source.feature.group" version="3.13.7.v20170516-2248"/>
+      <unit id="org.eclipse.ecf.filetransfer.httpclient4.feature.feature.group" version="3.13.7.v20170516-2248"/>
+      <unit id="org.eclipse.ecf.filetransfer.httpclient4.feature.source.feature.group" version="3.13.7.v20170516-2248"/>
+      <unit id="org.eclipse.ecf.filetransfer.httpclient4.ssl.feature.feature.group" version="1.1.0.v20170110-1317"/>
+      <unit id="org.eclipse.ecf.filetransfer.httpclient4.ssl.feature.source.feature.group" version="1.1.0.v20170110-1317"/>
+      <unit id="org.eclipse.ecf.filetransfer.ssl.feature.feature.group" version="1.1.0.v20170110-1317"/>
+      <unit id="org.eclipse.ecf.filetransfer.ssl.feature.source.feature.group" version="1.1.0.v20170110-1317"/>
+      <unit id="org.eclipse.equinox.p2.discovery.feature.feature.group" version="1.1.0.v20170418-0708"/>
+      <unit id="org.eclipse.equinox.sdk.feature.group" version="3.13.0.v20170531-1133"/>
+      <unit id="org.eclipse.help.feature.group" version="2.2.100.v20170612-0950"/>
+      <unit id="org.eclipse.help.source.feature.group" version="2.2.100.v20170612-0950"/>
+      <unit id="org.eclipse.platform.feature.group" version="4.7.0.v20170612-1255"/>
+      <unit id="org.eclipse.platform.source.feature.group" version="4.7.0.v20170612-1255"/>
+      <unit id="org.eclipse.rcp.feature.group" version="4.7.0.v20170612-1255"/>
+      <unit id="org.eclipse.rcp.source.feature.group" version="4.7.0.v20170612-1255"/>
+      <unit id="org.eclipse.releng.tools.feature.group" version="3.9.100.v20170516-0717"/>
+      <unit id="org.eclipse.sdk.ide" version="4.7.0.I20170612-0950"/>
+      <unit id="org.eclipse.swt.tools.feature.feature.group" version="3.106.0.v20170503-0851"/>
+      <repository location="http://www.simantics.org/update/eclipse/updates/4.7/"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.eclipse.nebula.cwt.feature.feature.group" version="1.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.effects.stw.feature.feature.group" version="1.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.examples.feature.feature.group" version="1.0.4.201706221838"/>
+      <unit id="org.eclipse.nebula.examples.release.feature.feature.group" version="1.1.0.201706221838"/>
+      <unit id="org.eclipse.nebula.feature.feature.group" version="1.3.0.201706221838"/>
+      <unit id="org.eclipse.nebula.visualization.feature.feature.group" version="2.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.cdatetime.feature.feature.group" version="1.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.compositetable.feature.feature.group" version="1.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.gallery.feature.feature.group" version="1.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.ganttchart.feature.feature.group" version="1.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.grid.feature.feature.group" version="1.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.oscilloscope.feature.feature.group" version="1.3.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.paperclips.feature.feature.group" version="2.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.pgroup.feature.feature.group" version="1.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.pshelf.css.feature.feature.group" version="1.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.pshelf.feature.feature.group" version="1.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.richtext.feature.feature.group" version="1.2.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.tablecombo.feature.feature.group" version="1.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.xviewer.feature.feature.group" version="1.0.0.201706221838"/>
+      <repository location="http://www.simantics.org/update/nebula/releases/1.3.0/release/"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.eclipse.nebula.widgets.nattable.core.feature.feature.group" version="1.5.0.201703192131"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.core.source.feature.feature.group" version="1.5.0.201703192131"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.e4.feature.feature.group" version="1.1.0.201703192131"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.e4.source.feature.feature.group" version="1.1.0.201703192131"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.glazedlists.feature.feature.group" version="1.5.0.201703192131"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.glazedlists.source.feature.feature.group" version="1.5.0.201703192131"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.nebula.feature.feature.group" version="1.1.0.201703192131"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.nebula.source.feature.feature.group" version="1.1.0.201703192131"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.poi.feature.feature.group" version="1.5.0.201703192131"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.poi.source.feature.feature.group" version="1.5.0.201703192131"/>
+      <repository location="http://www.simantics.org/update/nebula/nattable/releases/1.5.0/repository/"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.eclipse.e4.tools.spies.feature.feature.group" version="0.17.0.v20170601-1400"/>
+      <repository location="http://www.simantics.org/update/e4/snapshots/org.eclipse.e4.tools/latest-oxygen/"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.eclipse.nebula.incubation.feature.feature.group" version="1.0.0.201708070950"/>
+      <unit id="org.eclipse.nebula.examples.incubation.feature.feature.group" version="1.0.0.201708070950"/>
+      <repository location="http://www.simantics.org/update/nebula/releases/1.3.0/incubation/"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="bouncycastle.bcmail-jdk14" version="138.0.0"/>
+      <unit id="bouncycastle.bcprov-jdk14" version="138.0.0"/>
+      <unit id="ch.qos.logback.classic" version="1.2.3"/>
+      <unit id="ch.qos.logback.classic.source" version="1.2.3"/>
+      <unit id="ch.qos.logback.core" version="1.2.3"/>
+      <unit id="ch.qos.logback.core.source" version="1.2.3"/>
+      <unit id="com.google.api.grpc.proto-google-common-protos" version="1.0.0"/>
+      <unit id="com.google.api.grpc.proto-google-common-protos.source" version="1.0.0"/>
+      <unit id="com.google.code.findbugs.jsr305" version="3.0.0"/>
+      <unit id="com.google.code.findbugs.jsr305.source" version="3.0.0"/>
+      <unit id="com.google.errorprone.error_prone_annotations" version="2.1.2"/>
+      <unit id="com.google.errorprone.error_prone_annotations.source" version="2.1.2"/>
+      <unit id="com.google.gson" version="2.7.0"/>
+      <unit id="com.google.gson.source" version="2.7.0"/>
+      <unit id="com.google.protobuf" version="3.5.1"/>
+      <unit id="com.google.protobuf.source" version="3.5.1"/>
+      <unit id="com.esotericsoftware.kryo" version="4.0.0"/>
+      <unit id="com.esotericsoftware.kryo.source" version="4.0.0"/>
+      <unit id="com.esotericsoftware.minlog" version="1.3.0"/>
+      <unit id="com.esotericsoftware.minlog.source" version="1.3.0"/>
+      <unit id="com.esotericsoftware.reflectasm" version="1.11.3"/>
+      <unit id="com.esotericsoftware.reflectasm.source" version="1.11.3"/>
+      <unit id="com.fasterxml.jackson.core.jackson-annotations" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.core.jackson-annotations.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.core.jackson-core" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.core.jackson-core.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.core.jackson-databind" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.core.jackson-databind.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-csv" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-csv.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-xml" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-xml.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.datatype.jackson-datatype-jsr310" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.datatype.jackson-datatype-jsr310.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-base" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-base.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.module.jackson-module-jaxb-annotations" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.module.jackson-module-jaxb-annotations.source" version="2.8.8"/>
+      <unit id="com.fasterxml.woodstox.woodstox-core" version="5.0.3"/>
+      <unit id="com.fasterxml.woodstox.woodstox-core.source" version="5.0.3"/>
+      <unit id="com.github.virtuald.curvesapi" version="1.4.0"/>
+      <unit id="com.github.virtuald.curvesapi.source" version="1.4.0"/>
+      <unit id="com.healthmarketscience.jackcess" version="2.1.3"/>
+      <unit id="com.healthmarketscience.jackcess.source" version="2.1.3"/>
+      <unit id="com.koloboke.api-jdk8" version="1.0.0"/>
+      <unit id="com.koloboke.api-jdk8.source" version="1.0.0"/>
+      <unit id="com.koloboke.compile" version="0.5.1"/>
+      <unit id="com.koloboke.compile.source" version="0.5.1"/>
+      <unit id="com.koloboke.impl-common-jdk8" version="1.0.0"/>
+      <unit id="com.koloboke.impl-common-jdk8.source" version="1.0.0"/>
+      <unit id="com.lowagie.text" version="2.1.7.b1"/>
+      <unit id="com.lowagie.text.source" version="2.1.7.b1"/>
+      <unit id="com.sun.jna" version="4.3.0"/>
+      <unit id="com.sun.jna.platform" version="4.3.0"/>
+      <unit id="com.sun.jna.platform.source" version="4.3.0"/>
+      <unit id="com.sun.jna.source" version="4.3.0"/>
+      <unit id="freemarker" version="2.3.23.stable"/>
+      <unit id="freemarker.source" version="2.3.23.stable"/>
+      <unit id="gnu.trove3" version="3.0.3"/>
+      <unit id="gnu.trove3.source" version="3.0.3"/>
+      <unit id="io.grpc.stub" version="1.14.0"/>
+      <unit id="io.grpc.stub.source" version="1.14.0"/>
+      <unit id="io.grpc.core" version="1.14.0.b001"/>
+      <unit id="io.grpc.core.source" version="1.14.0.b001"/>
+      <unit id="io.grpc.context" version="1.14.0.b001"/>
+      <unit id="io.grpc.context.source" version="1.14.0.b001"/>
+      <unit id="io.grpc.netty" version="1.14.0.b001"/>
+      <unit id="io.grpc.netty.source" version="1.14.0.b001"/>
+      <unit id="io.grpc.protobuf" version="1.14.0"/>
+      <unit id="io.grpc.protobuf.source" version="1.14.0"/>
+      <unit id="io.grpc.protobuf-lite" version="1.14.0"/>
+      <unit id="io.grpc.protobuf-lite.source" version="1.14.0"/>
+      <unit id="io.netty.buffer" version="4.1.27.Final"/>
+      <unit id="io.netty.buffer.source" version="4.1.27.Final"/>
+      <unit id="io.netty.codec" version="4.1.27.Final"/>
+      <unit id="io.netty.codec.source" version="4.1.27.Final"/>
+      <unit id="io.netty.codec-http" version="4.1.27.Final"/>
+      <unit id="io.netty.codec-http.source" version="4.1.27.Final"/>
+      <unit id="io.netty.codec-http2" version="4.1.27.Final"/>
+      <unit id="io.netty.codec-http2.source" version="4.1.27.Final"/>
+      <unit id="io.netty.codec-socks" version="4.1.27.Final"/>
+      <unit id="io.netty.codec-socks.source" version="4.1.27.Final"/>
+      <unit id="io.netty.common" version="4.1.27.Final"/>
+      <unit id="io.netty.common.source" version="4.1.27.Final"/>
+      <unit id="io.netty.handler" version="4.1.27.Final"/>
+      <unit id="io.netty.handler.source" version="4.1.27.Final"/>
+      <unit id="io.netty.handler-proxy" version="4.1.27.Final"/>
+      <unit id="io.netty.handler-proxy.source" version="4.1.27.Final"/>
+      <unit id="io.netty.resolver" version="4.1.27.Final"/>
+      <unit id="io.netty.resolver.source" version="4.1.27.Final"/>
+      <unit id="io.netty.transport" version="4.1.27.Final"/>
+      <unit id="io.netty.transport.source" version="4.1.27.Final"/>
+      <unit id="io.opencensus.api" version="0.12.3"/>
+      <unit id="io.opencensus.api.source" version="0.12.3"/>
+      <unit id="io.opencensus.contrib-grpc-metrics" version="0.12.3"/>
+      <unit id="io.opencensus.contrib-grpc-metrics.source" version="0.12.3"/>
+      <unit id="it.unimi.dsi.fastutil" version="7.2.1"/>
+      <unit id="it.unimi.dsi.fastutil.source" version="7.2.1"/>
+      <unit id="jakarta-regexp" version="1.4.0"/>
+      <unit id="javassist" version="3.20.0.GA"/>
+      <unit id="javassist.source" version="3.20.0.GA"/>
+      <unit id="javax.servlet-api" version="3.1.0"/>
+      <unit id="javax.servlet-api.source" version="3.1.0"/>
+      <unit id="javax.validation.api" version="1.1.0.Final"/>
+      <unit id="javax.validation.api.source" version="1.1.0.Final"/>
+      <unit id="javax.ws.rs-api" version="2.0.1"/>
+      <unit id="javax.ws.rs-api.source" version="2.0.1"/>
+      <unit id="net.jcip.annotations" version="1.0.0"/>
+      <unit id="net.jcip.annotations.source" version="1.0.0"/>
+      <unit id="net.ucanaccess" version="3.0.7"/>
+      <unit id="net.ucanaccess.source" version="3.0.7"/>
+      <unit id="org.antlr.runtime" version="3.5.2"/>
+      <unit id="org.antlr.runtime.source" version="3.5.2"/>
+      <unit id="org.apache.aries.spifly.core-internal" version="1.0.8"/>
+      <unit id="org.apache.aries.spifly.dynamic.bundle" version="1.0.8"/>
+      <unit id="org.apache.aries.spifly.weaver-internal" version="1.0.8"/>
+      <unit id="org.apache.aries.util" version="1.0.0"/>
+      <unit id="org.apache.commons.codec" version="1.10.0"/>
+      <unit id="org.apache.commons.codec.source" version="1.10.0"/>
+      <unit id="org.apache.commons.collections" version="3.2.2"/>
+      <unit id="org.apache.commons.collections.source" version="3.2.2"/>
+      <unit id="org.apache.commons.collections4" version="4.1.0"/>
+      <unit id="org.apache.commons.collections4.source" version="4.1.0"/>
+      <unit id="org.apache.commons.compress" version="1.12.0"/>
+      <unit id="org.apache.commons.compress.source" version="1.12.0"/>
+      <unit id="org.apache.commons.io" version="2.4.0"/>
+      <unit id="org.apache.commons.io.source" version="2.4.0"/>
+      <unit id="org.apache.commons.lang" version="2.6.0"/>
+      <unit id="org.apache.commons.lang.source" version="2.6.0"/>
+      <unit id="org.apache.commons.logging" version="1.2.0"/>
+      <unit id="org.apache.commons.logging.source" version="1.2.0"/>
+      <unit id="org.apache.commons.math3" version="3.6.1"/>
+      <unit id="org.apache.commons.math3.source" version="3.6.1"/>
+      <unit id="org.apache.log4j" version="1.2.17"/>
+      <unit id="org.apache.log4j.source" version="1.2.17"/>
+      <unit id="org.apache.lucene4.analyzers-common" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.analyzers-common.source" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.core" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.core.source" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.queries" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.queries.source" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.queryparser" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.queryparser.source" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.sandbox" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.sandbox.source" version="4.9.0.b0003"/>
+      <unit id="org.apache.pdfbox" version="2.0.3"/>
+      <unit id="org.apache.pdfbox.fontbox" version="2.0.3"/>
+      <unit id="org.apache.pdfbox.fontbox.source" version="2.0.3"/>
+      <unit id="org.apache.pdfbox.source" version="2.0.3"/>
+      <unit id="org.apache.pdfbox.xmpbox" version="2.0.3"/>
+      <unit id="org.apache.pdfbox.xmpbox.source" version="2.0.3"/>
+      <unit id="org.apache.xmlbeans" version="2.6.0"/>
+      <unit id="org.bouncycastle.bcmail-jdk14" version="1.38.0"/>
+      <unit id="org.bouncycastle.bcmail-jdk14.source" version="1.38.0"/>
+      <unit id="org.bouncycastle.bcprov-jdk14" version="1.38.0"/>
+      <unit id="org.bouncycastle.bcprov-jdk14.source" version="1.38.0"/>
+      <unit id="org.bouncycastle.bctsp-jdk14" version="1.38.0"/>
+      <unit id="org.bouncycastle.bctsp-jdk14.source" version="1.38.0"/>
+      <unit id="org.eclipse.collections.eclipse-collections-api" version="8.1.0"/>
+      <unit id="org.eclipse.collections.eclipse-collections-api.source" version="8.1.0"/>
+      <unit id="org.eclipse.collections.eclipse-collections" version="8.1.0"/>
+      <unit id="org.eclipse.collections.eclipse-collections.source" version="8.1.0"/>
+      <unit id="org.eclipse.jetty.servlets" version="9.4.5.v20170502"/>
+      <unit id="org.eclipse.jetty.servlets.source" version="9.4.5.v20170502"/>
+      <unit id="org.glassfish.hk2.api" version="2.5.0.b32"/>
+      <unit id="org.glassfish.hk2.api.source" version="2.5.0.b32"/>
+      <unit id="org.glassfish.hk2.locator" version="2.5.0.b32"/>
+      <unit id="org.glassfish.hk2.locator.source" version="2.5.0.b32"/>
+      <unit id="org.glassfish.hk2.osgi-resource-locator" version="1.0.1"/>
+      <unit id="org.glassfish.hk2.osgi-resource-locator.source" version="1.0.1"/>
+      <unit id="org.glassfish.hk2.utils" version="2.5.0.b32"/>
+      <unit id="org.glassfish.hk2.utils.source" version="2.5.0.b32"/>
+      <unit id="org.glassfish.jersey.bundles.repackaged.jersey-guava" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.bundles.repackaged.jersey-guava.source" version="2.25.1"/>
+      <unit id="org.glassfish.hk2.external.aopalliance-repackaged" version="2.5.0.b32"/>
+      <unit id="org.glassfish.hk2.external.aopalliance-repackaged.source" version="2.5.0.b32"/>
+      <unit id="org.glassfish.jersey.core.jersey-client" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.core.jersey-client.source" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.core.jersey-common" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.core.jersey-common.source" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.core.jersey-server" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.core.jersey-server.source" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.ext.jersey-entity-filtering" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.ext.jersey-entity-filtering.source" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.media.jersey-media-json-jackson" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.media.jersey-media-json-jackson.source" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.media.jersey-media-multipart" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.media.jersey-media-multipart.source" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.containers.jersey-container-servlet-core" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.containers.jersey-container-servlet-core.source" version="2.25.1"/>
+      <unit id="org.hsqldb.hsqldb" version="2.3.1"/>
+      <unit id="org.hsqldb.hsqldb.source" version="2.3.1"/>
+      <unit id="org.ini4j" version="0.5.4"/>
+      <unit id="org.ini4j.source" version="0.5.4"/>
+      <unit id="org.jboss.windup.decompiler.api.forge-addon" version="4.0.0.Beta1"/>
+      <unit id="org.jboss.windup.decompiler.api.forge-addon.source" version="4.0.0.Beta1"/>
+      <unit id="org.jboss.windup.decompiler.procyon" version="4.0.0.Beta1"/>
+      <unit id="org.jboss.windup.decompiler.procyon.source" version="4.0.0.Beta1"/>
+      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-compilertools" version="1.0.0.20160510"/>
+      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-compilertools.source" version="1.0.0.20160510"/>
+      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-core" version="1.0.0.20160510"/>
+      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-core.source" version="1.0.0.20160510"/>
+      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-reflection" version="1.0.0.20160510"/>
+      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-reflection.source" version="1.0.0.20160510"/>
+      <unit id="org.jboss.windup.utils.windup-utils.forge-addon" version="4.0.0.Beta1"/>
+      <unit id="org.jboss.windup.utils.windup-utils.forge-addon.source" version="4.0.0.Beta1"/>
+      <unit id="jaxen" version="1.1.6"/>
+      <unit id="jaxen.source" version="1.1.6"/>
+      <unit id="org.jdom2" version="2.0.6.b0001"/>
+      <unit id="org.jdom2.source" version="2.0.6.b0001"/>
+      <unit id="org.jfree.jchart" version="1.0.19"/>
+      <unit id="org.jfree.jchart.source" version="1.0.19"/>
+      <unit id="org.jfree.jcommon" version="1.0.23"/>
+      <unit id="org.jfree.jcommon.source" version="1.0.23"/>
+      <unit id="org.jsoup" version="1.8.3"/>
+      <unit id="org.jsoup.source" version="1.8.3"/>
+      <unit id="org.jvnet.mimepull" version="1.9.6"/>
+      <unit id="org.jvnet.mimepull.source" version="1.9.6"/>
+      <unit id="org.mozilla.rhino" version="1.7.7.1"/>
+      <unit id="org.mozilla.rhino.source" version="1.7.7.1"/>
+      <unit id="org.objenesis" version="2.2.0"/>
+      <unit id="org.objenesis.source" version="2.2.0"/>
+      <unit id="org.slf4j.api" version="1.7.25.b001"/>
+      <unit id="org.slf4j.api.source" version="1.7.25.b001"/>
+      <unit id="org.supercsv" version="2.4.0"/>
+      <unit id="org.supercsv.source" version="2.4.0"/>
+      <unit id="stax2-api" version="3.1.4"/>
+      <unit id="stax2-api.source" version="3.1.4"/>
+      <repository location="http://www.simantics.org/download/master/external-components/maven"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.apache.batik" version="1.8.0.201611220734"/>
+      <unit id="org.apache.poi.feature.feature.group" version="3.15.0.b0002"/>
+      <repository location="http://www.simantics.org/download/master/external-components/manual"/>
+    </location>
+  </locations>
+</target>
index 0c68e603acaa64174253e9153a1f995b34ea0ca4..f9563a3fc17ff19e9fa49b8dc54f936c3e02fe88 100644 (file)
@@ -141,6 +141,16 @@ location "http://www.simantics.org/download/master/external-components/maven" {
        ch.qos.logback.classic.source
        ch.qos.logback.core
        ch.qos.logback.core.source
+       com.google.api.grpc.proto-google-common-protos
+       com.google.api.grpc.proto-google-common-protos.source
+       com.google.code.findbugs.jsr305
+       com.google.code.findbugs.jsr305.source
+       com.google.errorprone.error_prone_annotations
+       com.google.errorprone.error_prone_annotations.source
+       com.google.gson
+       com.google.gson.source
+       com.google.protobuf
+       com.google.protobuf.source
        com.esotericsoftware.kryo
        com.esotericsoftware.kryo.source
        com.esotericsoftware.minlog
@@ -187,6 +197,42 @@ location "http://www.simantics.org/download/master/external-components/maven" {
        freemarker.source
        gnu.trove3
        gnu.trove3.source
+       io.grpc.stub
+       io.grpc.stub.source
+       io.grpc.core
+       io.grpc.core.source
+       io.grpc.context
+       io.grpc.context.source
+       io.grpc.netty
+       io.grpc.netty.source
+       io.grpc.protobuf
+       io.grpc.protobuf.source
+       io.grpc.protobuf-lite
+       io.grpc.protobuf-lite.source
+       io.netty.buffer
+       io.netty.buffer.source
+       io.netty.codec
+       io.netty.codec.source
+       io.netty.codec-http
+       io.netty.codec-http.source
+       io.netty.codec-http2
+       io.netty.codec-http2.source
+       io.netty.codec-socks
+       io.netty.codec-socks.source
+       io.netty.common
+       io.netty.common.source
+       io.netty.handler
+       io.netty.handler.source
+       io.netty.handler-proxy
+       io.netty.handler-proxy.source
+       io.netty.resolver
+       io.netty.resolver.source
+       io.netty.transport
+       io.netty.transport.source
+       io.opencensus.api
+       io.opencensus.api.source
+       io.opencensus.contrib-grpc-metrics
+       io.opencensus.contrib-grpc-metrics.source
        it.unimi.dsi.fastutil
        it.unimi.dsi.fastutil.source
        jakarta-regexp
index 8afc55ac1c33ddcad69ecf3b0e606165dbebcd8b..eb9605a93ab36f3178ecf6468eb1f8951a7031e0 100644 (file)
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>\r
-<?pde?>\r
-<!-- generated with https://github.com/mbarbero/fr.obeo.releng.targetplatform -->\r
-<target name="Simantics 1.36.0" sequenceNumber="1534243580">\r
-  <locations>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="com.google.guava" version="21.0.0.v20170206-1425"/>\r
-      <unit id="com.google.guava.source" version="21.0.0.v20170206-1425"/>\r
-      <unit id="org.objectweb.asm" version="5.2.0.v20170126-0011"/>\r
-      <unit id="org.objectweb.asm.analysis" version="5.2.0.v20170126-0011"/>\r
-      <unit id="org.objectweb.asm.analysis.source" version="5.2.0.v20170126-0011"/>\r
-      <unit id="org.objectweb.asm.commons" version="5.2.0.v20170126-0011"/>\r
-      <unit id="org.objectweb.asm.commons.source" version="5.2.0.v20170126-0011"/>\r
-      <unit id="org.objectweb.asm.source" version="5.2.0.v20170126-0011"/>\r
-      <unit id="org.objectweb.asm.tree" version="5.2.0.v20170126-0011"/>\r
-      <unit id="org.objectweb.asm.tree.source" version="5.2.0.v20170126-0011"/>\r
-      <unit id="org.objectweb.asm.util" version="5.2.0.v20170126-0011"/>\r
-      <unit id="org.objectweb.asm.util.source" version="5.2.0.v20170126-0011"/>\r
-      <unit id="org.objectweb.asm.xml" version="5.2.0.v20170126-0011"/>\r
-      <unit id="org.objectweb.asm.xml.source" version="5.2.0.v20170126-0011"/>\r
-      <repository location="http://www.simantics.org/update/tools/orbit/downloads/drops/R20170516192513"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="javax.xml" version="1.3.4.v201005080400"/>\r
-      <unit id="org.apache.commons.httpclient" version="3.1.0.v201012070820"/>\r
-      <unit id="org.apache.commons.httpclient.source" version="3.1.0.v201012070820"/>\r
-      <unit id="org.apache.xerces" version="2.9.0.v201101211617"/>\r
-      <unit id="org.apache.xml.resolver" version="1.2.0.v201005080400"/>\r
-      <unit id="org.apache.xml.serializer" version="2.7.1.v201005080400"/>\r
-      <unit id="org.eclipse.draw2d.feature.group" version="3.10.100.201606061308"/>\r
-      <unit id="org.eclipse.emf.sdk.feature.group" version="2.13.0.v20170609-0928"/>\r
-      <unit id="org.eclipse.epp.mpc.feature.group" version="1.6.0.v20170616-0843"/>\r
-      <unit id="org.eclipse.epp.mpc.source.feature.group" version="1.6.0.v20170616-0843"/>\r
-      <unit id="org.eclipse.mylyn.commons.feature.group" version="3.23.0.v20170503-0014"/>\r
-      <unit id="org.eclipse.mylyn.commons.identity.feature.group" version="1.15.0.v20170411-1844"/>\r
-      <unit id="org.eclipse.mylyn.commons.net" version="3.23.0.v20170411-1844"/>\r
-      <unit id="org.eclipse.mylyn.commons.net.source" version="3.23.0.v20170411-1844"/>\r
-      <unit id="org.eclipse.mylyn.commons.notifications.feature.group" version="1.15.0.v20170411-1844"/>\r
-      <unit id="org.eclipse.mylyn.commons.repositories.core" version="1.15.0.v20170411-1844"/>\r
-      <unit id="org.eclipse.mylyn.commons.repositories.core.source" version="1.15.0.v20170411-1844"/>\r
-      <unit id="org.eclipse.mylyn.commons.repositories.ui" version="1.15.0.v20170411-1844"/>\r
-      <unit id="org.eclipse.mylyn.commons.repositories.ui.source" version="1.15.0.v20170411-1844"/>\r
-      <unit id="org.eclipse.mylyn.context_feature.feature.group" version="3.23.0.v20170414-0629"/>\r
-      <unit id="org.eclipse.mylyn.monitor.feature.group" version="3.23.0.v20170411-1844"/>\r
-      <unit id="org.eclipse.mylyn.tasks.core" version="3.23.0.v20170602-2017"/>\r
-      <unit id="org.eclipse.mylyn.tasks.core.source" version="3.23.0.v20170602-2017"/>\r
-      <unit id="org.eclipse.mylyn.tasks.ui" version="3.23.0.v20170608-2055"/>\r
-      <unit id="org.eclipse.mylyn.tasks.ui.source" version="3.23.0.v20170608-2055"/>\r
-      <unit id="org.eclipse.mylyn.wikitext_feature.feature.group" version="3.0.6.201703111926"/>\r
-      <unit id="org.eclipse.mylyn.wikitext.ant.source" version="3.0.6.20170311142502"/>\r
-      <unit id="org.eclipse.mylyn.wikitext.mediawiki.source" version="3.0.6.20170311142502"/>\r
-      <unit id="org.eclipse.mylyn.wikitext.osgi.source" version="3.0.6.201703111926"/>\r
-      <unit id="org.eclipse.mylyn.wikitext.source" version="3.0.6.20170311142502"/>\r
-      <unit id="org.eclipse.userstorage.feature.group" version="1.1.0.v20170526-1605"/>\r
-      <unit id="org.eclipse.userstorage.oauth" version="1.0.0.v20170526-1605"/>\r
-      <unit id="org.eclipse.userstorage.oauth.source" version="1.0.0.v20170526-1605"/>\r
-      <unit id="org.eclipse.userstorage.source" version="1.1.0.v20170328-0205"/>\r
-      <unit id="org.eclipse.userstorage.ui.source" version="1.0.2.v20170526-1605"/>\r
-      <repository location="http://www.simantics.org/update/oxygen/"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="org.apache.httpcomponents.httpclient" version="4.5.2.v20170210-0925"/>\r
-      <unit id="org.apache.httpcomponents.httpclient.source" version="4.5.2.v20170210-0925"/>\r
-      <unit id="org.apache.httpcomponents.httpcore" version="4.4.6.v20170210-0925"/>\r
-      <unit id="org.apache.httpcomponents.httpcore.source" version="4.4.6.v20170210-0925"/>\r
-      <unit id="org.eclipse.core.runtime.feature.feature.group" version="1.2.0.v20170518-1049"/>\r
-      <unit id="org.eclipse.e4.core.tools.feature.feature.group" version="4.7.0.v20170515-1617"/>\r
-      <unit id="org.eclipse.e4.core.tools.feature.source.feature.group" version="4.7.0.v20170515-1617"/>\r
-      <unit id="org.eclipse.ecf.core.feature.feature.group" version="1.4.0.v20170516-2248"/>\r
-      <unit id="org.eclipse.ecf.core.feature.source.feature.group" version="1.4.0.v20170516-2248"/>\r
-      <unit id="org.eclipse.ecf.core.ssl.feature.feature.group" version="1.1.0.v20170110-1317"/>\r
-      <unit id="org.eclipse.ecf.core.ssl.feature.source.feature.group" version="1.1.0.v20170110-1317"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.feature.feature.group" version="3.13.7.v20170516-2248"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.feature.source.feature.group" version="3.13.7.v20170516-2248"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.httpclient4.feature.feature.group" version="3.13.7.v20170516-2248"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.httpclient4.feature.source.feature.group" version="3.13.7.v20170516-2248"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.httpclient4.ssl.feature.feature.group" version="1.1.0.v20170110-1317"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.httpclient4.ssl.feature.source.feature.group" version="1.1.0.v20170110-1317"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.ssl.feature.feature.group" version="1.1.0.v20170110-1317"/>\r
-      <unit id="org.eclipse.ecf.filetransfer.ssl.feature.source.feature.group" version="1.1.0.v20170110-1317"/>\r
-      <unit id="org.eclipse.equinox.p2.discovery.feature.feature.group" version="1.1.0.v20170418-0708"/>\r
-      <unit id="org.eclipse.equinox.sdk.feature.group" version="3.13.0.v20170531-1133"/>\r
-      <unit id="org.eclipse.help.feature.group" version="2.2.100.v20170612-0950"/>\r
-      <unit id="org.eclipse.help.source.feature.group" version="2.2.100.v20170612-0950"/>\r
-      <unit id="org.eclipse.platform.feature.group" version="4.7.0.v20170612-1255"/>\r
-      <unit id="org.eclipse.platform.source.feature.group" version="4.7.0.v20170612-1255"/>\r
-      <unit id="org.eclipse.rcp.feature.group" version="4.7.0.v20170612-1255"/>\r
-      <unit id="org.eclipse.rcp.source.feature.group" version="4.7.0.v20170612-1255"/>\r
-      <unit id="org.eclipse.releng.tools.feature.group" version="3.9.100.v20170516-0717"/>\r
-      <unit id="org.eclipse.sdk.ide" version="4.7.0.I20170612-0950"/>\r
-      <unit id="org.eclipse.swt.tools.feature.feature.group" version="3.106.0.v20170503-0851"/>\r
-      <repository location="http://www.simantics.org/update/eclipse/updates/4.7/"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="org.eclipse.nebula.cwt.feature.feature.group" version="1.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.effects.stw.feature.feature.group" version="1.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.examples.feature.feature.group" version="1.0.4.201706221838"/>\r
-      <unit id="org.eclipse.nebula.examples.release.feature.feature.group" version="1.1.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.feature.feature.group" version="1.3.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.visualization.feature.feature.group" version="2.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.cdatetime.feature.feature.group" version="1.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.compositetable.feature.feature.group" version="1.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.gallery.feature.feature.group" version="1.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.ganttchart.feature.feature.group" version="1.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.grid.feature.feature.group" version="1.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.oscilloscope.feature.feature.group" version="1.3.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.paperclips.feature.feature.group" version="2.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.pgroup.feature.feature.group" version="1.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.pshelf.css.feature.feature.group" version="1.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.pshelf.feature.feature.group" version="1.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.richtext.feature.feature.group" version="1.2.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.tablecombo.feature.feature.group" version="1.0.0.201706221838"/>\r
-      <unit id="org.eclipse.nebula.widgets.xviewer.feature.feature.group" version="1.0.0.201706221838"/>\r
-      <repository location="http://www.simantics.org/update/nebula/releases/1.3.0/release/"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="org.eclipse.nebula.widgets.nattable.core.feature.feature.group" version="1.5.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.core.source.feature.feature.group" version="1.5.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.e4.feature.feature.group" version="1.1.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.e4.source.feature.feature.group" version="1.1.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.glazedlists.feature.feature.group" version="1.5.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.glazedlists.source.feature.feature.group" version="1.5.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.nebula.feature.feature.group" version="1.1.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.nebula.source.feature.feature.group" version="1.1.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.poi.feature.feature.group" version="1.5.0.201703192131"/>\r
-      <unit id="org.eclipse.nebula.widgets.nattable.extension.poi.source.feature.feature.group" version="1.5.0.201703192131"/>\r
-      <repository location="http://www.simantics.org/update/nebula/nattable/releases/1.5.0/repository/"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="org.eclipse.e4.tools.spies.feature.feature.group" version="0.17.0.v20170601-1400"/>\r
-      <repository location="http://www.simantics.org/update/e4/snapshots/org.eclipse.e4.tools/latest-oxygen/"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="org.eclipse.nebula.incubation.feature.feature.group" version="1.0.0.201708070950"/>\r
-      <unit id="org.eclipse.nebula.examples.incubation.feature.feature.group" version="1.0.0.201708070950"/>\r
-      <repository location="http://www.simantics.org/update/nebula/releases/1.3.0/incubation/"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="bouncycastle.bcmail-jdk14" version="138.0.0"/>\r
-      <unit id="bouncycastle.bcprov-jdk14" version="138.0.0"/>\r
-      <unit id="ch.qos.logback.classic" version="1.2.3"/>\r
-      <unit id="ch.qos.logback.classic.source" version="1.2.3"/>\r
-      <unit id="ch.qos.logback.core" version="1.2.3"/>\r
-      <unit id="ch.qos.logback.core.source" version="1.2.3"/>\r
-      <unit id="com.esotericsoftware.kryo" version="4.0.0"/>\r
-      <unit id="com.esotericsoftware.kryo.source" version="4.0.0"/>\r
-      <unit id="com.esotericsoftware.minlog" version="1.3.0"/>\r
-      <unit id="com.esotericsoftware.minlog.source" version="1.3.0"/>\r
-      <unit id="com.esotericsoftware.reflectasm" version="1.11.3"/>\r
-      <unit id="com.esotericsoftware.reflectasm.source" version="1.11.3"/>\r
-      <unit id="com.fasterxml.jackson.core.jackson-annotations" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.core.jackson-annotations.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.core.jackson-core" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.core.jackson-core.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.core.jackson-databind" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.core.jackson-databind.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-csv" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-csv.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-xml" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-xml.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.datatype.jackson-datatype-jsr310" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.datatype.jackson-datatype-jsr310.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-base" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-base.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.module.jackson-module-jaxb-annotations" version="2.8.8"/>\r
-      <unit id="com.fasterxml.jackson.module.jackson-module-jaxb-annotations.source" version="2.8.8"/>\r
-      <unit id="com.fasterxml.woodstox.woodstox-core" version="5.0.3"/>\r
-      <unit id="com.fasterxml.woodstox.woodstox-core.source" version="5.0.3"/>\r
-      <unit id="com.github.virtuald.curvesapi" version="1.4.0"/>\r
-      <unit id="com.github.virtuald.curvesapi.source" version="1.4.0"/>\r
-      <unit id="com.healthmarketscience.jackcess" version="2.1.3"/>\r
-      <unit id="com.healthmarketscience.jackcess.source" version="2.1.3"/>\r
-      <unit id="com.koloboke.api-jdk8" version="1.0.0"/>\r
-      <unit id="com.koloboke.api-jdk8.source" version="1.0.0"/>\r
-      <unit id="com.koloboke.compile" version="0.5.1"/>\r
-      <unit id="com.koloboke.compile.source" version="0.5.1"/>\r
-      <unit id="com.koloboke.impl-common-jdk8" version="1.0.0"/>\r
-      <unit id="com.koloboke.impl-common-jdk8.source" version="1.0.0"/>\r
-      <unit id="com.lowagie.text" version="2.1.7.b1"/>\r
-      <unit id="com.lowagie.text.source" version="2.1.7.b1"/>\r
-      <unit id="com.sun.jna" version="4.3.0"/>\r
-      <unit id="com.sun.jna.platform" version="4.3.0"/>\r
-      <unit id="com.sun.jna.platform.source" version="4.3.0"/>\r
-      <unit id="com.sun.jna.source" version="4.3.0"/>\r
-      <unit id="freemarker" version="2.3.23.stable"/>\r
-      <unit id="freemarker.source" version="2.3.23.stable"/>\r
-      <unit id="gnu.trove3" version="3.0.3"/>\r
-      <unit id="gnu.trove3.source" version="3.0.3"/>\r
-      <unit id="it.unimi.dsi.fastutil" version="7.2.1"/>\r
-      <unit id="it.unimi.dsi.fastutil.source" version="7.2.1"/>\r
-      <unit id="jakarta-regexp" version="1.4.0"/>\r
-      <unit id="javassist" version="3.20.0.GA"/>\r
-      <unit id="javassist.source" version="3.20.0.GA"/>\r
-      <unit id="javax.servlet-api" version="3.1.0"/>\r
-      <unit id="javax.servlet-api.source" version="3.1.0"/>\r
-      <unit id="javax.validation.api" version="1.1.0.Final"/>\r
-      <unit id="javax.validation.api.source" version="1.1.0.Final"/>\r
-      <unit id="javax.ws.rs-api" version="2.0.1"/>\r
-      <unit id="javax.ws.rs-api.source" version="2.0.1"/>\r
-      <unit id="net.jcip.annotations" version="1.0.0"/>\r
-      <unit id="net.jcip.annotations.source" version="1.0.0"/>\r
-      <unit id="net.ucanaccess" version="3.0.7"/>\r
-      <unit id="net.ucanaccess.source" version="3.0.7"/>\r
-      <unit id="org.antlr.runtime" version="3.5.2"/>\r
-      <unit id="org.antlr.runtime.source" version="3.5.2"/>\r
-      <unit id="org.apache.aries.spifly.core-internal" version="1.0.8"/>\r
-      <unit id="org.apache.aries.spifly.dynamic.bundle" version="1.0.8"/>\r
-      <unit id="org.apache.aries.spifly.weaver-internal" version="1.0.8"/>\r
-      <unit id="org.apache.aries.util" version="1.0.0"/>\r
-      <unit id="org.apache.commons.codec" version="1.10.0"/>\r
-      <unit id="org.apache.commons.codec.source" version="1.10.0"/>\r
-      <unit id="org.apache.commons.collections" version="3.2.2"/>\r
-      <unit id="org.apache.commons.collections.source" version="3.2.2"/>\r
-      <unit id="org.apache.commons.collections4" version="4.1.0"/>\r
-      <unit id="org.apache.commons.collections4.source" version="4.1.0"/>\r
-      <unit id="org.apache.commons.compress" version="1.12.0"/>\r
-      <unit id="org.apache.commons.compress.source" version="1.12.0"/>\r
-      <unit id="org.apache.commons.io" version="2.4.0"/>\r
-      <unit id="org.apache.commons.io.source" version="2.4.0"/>\r
-      <unit id="org.apache.commons.lang" version="2.6.0"/>\r
-      <unit id="org.apache.commons.lang.source" version="2.6.0"/>\r
-      <unit id="org.apache.commons.logging" version="1.2.0"/>\r
-      <unit id="org.apache.commons.logging.source" version="1.2.0"/>\r
-      <unit id="org.apache.commons.math3" version="3.6.1"/>\r
-      <unit id="org.apache.commons.math3.source" version="3.6.1"/>\r
-      <unit id="org.apache.log4j" version="1.2.17"/>\r
-      <unit id="org.apache.log4j.source" version="1.2.17"/>\r
-      <unit id="org.apache.lucene4.analyzers-common" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.analyzers-common.source" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.core" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.core.source" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.queries" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.queries.source" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.queryparser" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.queryparser.source" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.sandbox" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.lucene4.sandbox.source" version="4.9.0.b0003"/>\r
-      <unit id="org.apache.pdfbox" version="2.0.3"/>\r
-      <unit id="org.apache.pdfbox.fontbox" version="2.0.3"/>\r
-      <unit id="org.apache.pdfbox.fontbox.source" version="2.0.3"/>\r
-      <unit id="org.apache.pdfbox.source" version="2.0.3"/>\r
-      <unit id="org.apache.pdfbox.xmpbox" version="2.0.3"/>\r
-      <unit id="org.apache.pdfbox.xmpbox.source" version="2.0.3"/>\r
-      <unit id="org.apache.xmlbeans" version="2.6.0"/>\r
-      <unit id="org.bouncycastle.bcmail-jdk14" version="1.38.0"/>\r
-      <unit id="org.bouncycastle.bcmail-jdk14.source" version="1.38.0"/>\r
-      <unit id="org.bouncycastle.bcprov-jdk14" version="1.38.0"/>\r
-      <unit id="org.bouncycastle.bcprov-jdk14.source" version="1.38.0"/>\r
-      <unit id="org.bouncycastle.bctsp-jdk14" version="1.38.0"/>\r
-      <unit id="org.bouncycastle.bctsp-jdk14.source" version="1.38.0"/>\r
-      <unit id="org.eclipse.collections.eclipse-collections-api" version="8.1.0"/>\r
-      <unit id="org.eclipse.collections.eclipse-collections-api.source" version="8.1.0"/>\r
-      <unit id="org.eclipse.collections.eclipse-collections" version="8.1.0"/>\r
-      <unit id="org.eclipse.collections.eclipse-collections.source" version="8.1.0"/>\r
-      <unit id="org.eclipse.jetty.servlets" version="9.4.5.v20170502"/>\r
-      <unit id="org.eclipse.jetty.servlets.source" version="9.4.5.v20170502"/>\r
-      <unit id="org.glassfish.hk2.api" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.hk2.api.source" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.hk2.locator" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.hk2.locator.source" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.hk2.osgi-resource-locator" version="1.0.1"/>\r
-      <unit id="org.glassfish.hk2.osgi-resource-locator.source" version="1.0.1"/>\r
-      <unit id="org.glassfish.hk2.utils" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.hk2.utils.source" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.jersey.bundles.repackaged.jersey-guava" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.bundles.repackaged.jersey-guava.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.hk2.external.aopalliance-repackaged" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.hk2.external.aopalliance-repackaged.source" version="2.5.0.b32"/>\r
-      <unit id="org.glassfish.jersey.core.jersey-client" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.core.jersey-client.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.core.jersey-common" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.core.jersey-common.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.core.jersey-server" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.core.jersey-server.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.ext.jersey-entity-filtering" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.ext.jersey-entity-filtering.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.media.jersey-media-json-jackson" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.media.jersey-media-json-jackson.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.media.jersey-media-multipart" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.media.jersey-media-multipart.source" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.containers.jersey-container-servlet-core" version="2.25.1"/>\r
-      <unit id="org.glassfish.jersey.containers.jersey-container-servlet-core.source" version="2.25.1"/>\r
-      <unit id="org.hsqldb.hsqldb" version="2.3.1"/>\r
-      <unit id="org.hsqldb.hsqldb.source" version="2.3.1"/>\r
-      <unit id="org.ini4j" version="0.5.4"/>\r
-      <unit id="org.ini4j.source" version="0.5.4"/>\r
-      <unit id="org.jboss.windup.decompiler.api.forge-addon" version="4.0.0.Beta1"/>\r
-      <unit id="org.jboss.windup.decompiler.api.forge-addon.source" version="4.0.0.Beta1"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon" version="4.0.0.Beta1"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.source" version="4.0.0.Beta1"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-compilertools" version="1.0.0.20160510"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-compilertools.source" version="1.0.0.20160510"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-core" version="1.0.0.20160510"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-core.source" version="1.0.0.20160510"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-reflection" version="1.0.0.20160510"/>\r
-      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-reflection.source" version="1.0.0.20160510"/>\r
-      <unit id="org.jboss.windup.utils.windup-utils.forge-addon" version="4.0.0.Beta1"/>\r
-      <unit id="org.jboss.windup.utils.windup-utils.forge-addon.source" version="4.0.0.Beta1"/>\r
-      <unit id="jaxen" version="1.1.6"/>\r
-      <unit id="jaxen.source" version="1.1.6"/>\r
-      <unit id="org.jdom2" version="2.0.6.b0001"/>\r
-      <unit id="org.jdom2.source" version="2.0.6.b0001"/>\r
-      <unit id="org.jfree.jchart" version="1.0.19"/>\r
-      <unit id="org.jfree.jchart.source" version="1.0.19"/>\r
-      <unit id="org.jfree.jcommon" version="1.0.23"/>\r
-      <unit id="org.jfree.jcommon.source" version="1.0.23"/>\r
-      <unit id="org.jsoup" version="1.8.3"/>\r
-      <unit id="org.jsoup.source" version="1.8.3"/>\r
-      <unit id="org.jvnet.mimepull" version="1.9.6"/>\r
-      <unit id="org.jvnet.mimepull.source" version="1.9.6"/>\r
-      <unit id="org.mozilla.rhino" version="1.7.7.1"/>\r
-      <unit id="org.mozilla.rhino.source" version="1.7.7.1"/>\r
-      <unit id="org.objenesis" version="2.2.0"/>\r
-      <unit id="org.objenesis.source" version="2.2.0"/>\r
-      <unit id="org.slf4j.api" version="1.7.25.b001"/>\r
-      <unit id="org.slf4j.api.source" version="1.7.25.b001"/>\r
-      <unit id="org.supercsv" version="2.4.0"/>\r
-      <unit id="org.supercsv.source" version="2.4.0"/>\r
-      <unit id="stax2-api" version="3.1.4"/>\r
-      <unit id="stax2-api.source" version="3.1.4"/>\r
-      <repository location="http://www.simantics.org/download/master/external-components/maven"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="org.apache.batik" version="1.8.0.201611220734"/>\r
-      <unit id="org.apache.poi.feature.feature.group" version="3.15.0.b0002"/>\r
-      <repository location="http://www.simantics.org/download/master/external-components/manual"/>\r
-    </location>\r
-    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">\r
-      <unit id="org.simantics.sdk.feature.group" version="0.0.0"/>\r
-      <unit id="org.simantics.sdk.source.feature.group" version="0.0.0"/>\r
-      <repository location="http://www.simantics.org/download/master/sdk"/>\r
-    </location>\r
-  </locations>\r
-</target>\r
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<?pde?>
+<!-- generated with https://github.com/mbarbero/fr.obeo.releng.targetplatform -->
+<target name="Simantics 1.36.0" sequenceNumber="1535957308">
+  <locations>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="com.google.guava" version="21.0.0.v20170206-1425"/>
+      <unit id="com.google.guava.source" version="21.0.0.v20170206-1425"/>
+      <unit id="org.objectweb.asm" version="5.2.0.v20170126-0011"/>
+      <unit id="org.objectweb.asm.analysis" version="5.2.0.v20170126-0011"/>
+      <unit id="org.objectweb.asm.analysis.source" version="5.2.0.v20170126-0011"/>
+      <unit id="org.objectweb.asm.commons" version="5.2.0.v20170126-0011"/>
+      <unit id="org.objectweb.asm.commons.source" version="5.2.0.v20170126-0011"/>
+      <unit id="org.objectweb.asm.source" version="5.2.0.v20170126-0011"/>
+      <unit id="org.objectweb.asm.tree" version="5.2.0.v20170126-0011"/>
+      <unit id="org.objectweb.asm.tree.source" version="5.2.0.v20170126-0011"/>
+      <unit id="org.objectweb.asm.util" version="5.2.0.v20170126-0011"/>
+      <unit id="org.objectweb.asm.util.source" version="5.2.0.v20170126-0011"/>
+      <unit id="org.objectweb.asm.xml" version="5.2.0.v20170126-0011"/>
+      <unit id="org.objectweb.asm.xml.source" version="5.2.0.v20170126-0011"/>
+      <repository location="http://www.simantics.org/update/tools/orbit/downloads/drops/R20170516192513"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="javax.xml" version="1.3.4.v201005080400"/>
+      <unit id="org.apache.commons.httpclient" version="3.1.0.v201012070820"/>
+      <unit id="org.apache.commons.httpclient.source" version="3.1.0.v201012070820"/>
+      <unit id="org.apache.xerces" version="2.9.0.v201101211617"/>
+      <unit id="org.apache.xml.resolver" version="1.2.0.v201005080400"/>
+      <unit id="org.apache.xml.serializer" version="2.7.1.v201005080400"/>
+      <unit id="org.eclipse.draw2d.feature.group" version="3.10.100.201606061308"/>
+      <unit id="org.eclipse.emf.sdk.feature.group" version="2.13.0.v20170609-0928"/>
+      <unit id="org.eclipse.epp.mpc.feature.group" version="1.6.0.v20170616-0843"/>
+      <unit id="org.eclipse.epp.mpc.source.feature.group" version="1.6.0.v20170616-0843"/>
+      <unit id="org.eclipse.mylyn.commons.feature.group" version="3.23.0.v20170503-0014"/>
+      <unit id="org.eclipse.mylyn.commons.identity.feature.group" version="1.15.0.v20170411-1844"/>
+      <unit id="org.eclipse.mylyn.commons.net" version="3.23.0.v20170411-1844"/>
+      <unit id="org.eclipse.mylyn.commons.net.source" version="3.23.0.v20170411-1844"/>
+      <unit id="org.eclipse.mylyn.commons.notifications.feature.group" version="1.15.0.v20170411-1844"/>
+      <unit id="org.eclipse.mylyn.commons.repositories.core" version="1.15.0.v20170411-1844"/>
+      <unit id="org.eclipse.mylyn.commons.repositories.core.source" version="1.15.0.v20170411-1844"/>
+      <unit id="org.eclipse.mylyn.commons.repositories.ui" version="1.15.0.v20170411-1844"/>
+      <unit id="org.eclipse.mylyn.commons.repositories.ui.source" version="1.15.0.v20170411-1844"/>
+      <unit id="org.eclipse.mylyn.context_feature.feature.group" version="3.23.0.v20170414-0629"/>
+      <unit id="org.eclipse.mylyn.monitor.feature.group" version="3.23.0.v20170411-1844"/>
+      <unit id="org.eclipse.mylyn.tasks.core" version="3.23.0.v20170602-2017"/>
+      <unit id="org.eclipse.mylyn.tasks.core.source" version="3.23.0.v20170602-2017"/>
+      <unit id="org.eclipse.mylyn.tasks.ui" version="3.23.0.v20170608-2055"/>
+      <unit id="org.eclipse.mylyn.tasks.ui.source" version="3.23.0.v20170608-2055"/>
+      <unit id="org.eclipse.mylyn.wikitext_feature.feature.group" version="3.0.6.201703111926"/>
+      <unit id="org.eclipse.mylyn.wikitext.ant.source" version="3.0.6.20170311142502"/>
+      <unit id="org.eclipse.mylyn.wikitext.mediawiki.source" version="3.0.6.20170311142502"/>
+      <unit id="org.eclipse.mylyn.wikitext.osgi.source" version="3.0.6.201703111926"/>
+      <unit id="org.eclipse.mylyn.wikitext.source" version="3.0.6.20170311142502"/>
+      <unit id="org.eclipse.userstorage.feature.group" version="1.1.0.v20170526-1605"/>
+      <unit id="org.eclipse.userstorage.oauth" version="1.0.0.v20170526-1605"/>
+      <unit id="org.eclipse.userstorage.oauth.source" version="1.0.0.v20170526-1605"/>
+      <unit id="org.eclipse.userstorage.source" version="1.1.0.v20170328-0205"/>
+      <unit id="org.eclipse.userstorage.ui.source" version="1.0.2.v20170526-1605"/>
+      <repository location="http://www.simantics.org/update/oxygen/"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.apache.httpcomponents.httpclient" version="4.5.2.v20170210-0925"/>
+      <unit id="org.apache.httpcomponents.httpclient.source" version="4.5.2.v20170210-0925"/>
+      <unit id="org.apache.httpcomponents.httpcore" version="4.4.6.v20170210-0925"/>
+      <unit id="org.apache.httpcomponents.httpcore.source" version="4.4.6.v20170210-0925"/>
+      <unit id="org.eclipse.core.runtime.feature.feature.group" version="1.2.0.v20170518-1049"/>
+      <unit id="org.eclipse.e4.core.tools.feature.feature.group" version="4.7.0.v20170515-1617"/>
+      <unit id="org.eclipse.e4.core.tools.feature.source.feature.group" version="4.7.0.v20170515-1617"/>
+      <unit id="org.eclipse.ecf.core.feature.feature.group" version="1.4.0.v20170516-2248"/>
+      <unit id="org.eclipse.ecf.core.feature.source.feature.group" version="1.4.0.v20170516-2248"/>
+      <unit id="org.eclipse.ecf.core.ssl.feature.feature.group" version="1.1.0.v20170110-1317"/>
+      <unit id="org.eclipse.ecf.core.ssl.feature.source.feature.group" version="1.1.0.v20170110-1317"/>
+      <unit id="org.eclipse.ecf.filetransfer.feature.feature.group" version="3.13.7.v20170516-2248"/>
+      <unit id="org.eclipse.ecf.filetransfer.feature.source.feature.group" version="3.13.7.v20170516-2248"/>
+      <unit id="org.eclipse.ecf.filetransfer.httpclient4.feature.feature.group" version="3.13.7.v20170516-2248"/>
+      <unit id="org.eclipse.ecf.filetransfer.httpclient4.feature.source.feature.group" version="3.13.7.v20170516-2248"/>
+      <unit id="org.eclipse.ecf.filetransfer.httpclient4.ssl.feature.feature.group" version="1.1.0.v20170110-1317"/>
+      <unit id="org.eclipse.ecf.filetransfer.httpclient4.ssl.feature.source.feature.group" version="1.1.0.v20170110-1317"/>
+      <unit id="org.eclipse.ecf.filetransfer.ssl.feature.feature.group" version="1.1.0.v20170110-1317"/>
+      <unit id="org.eclipse.ecf.filetransfer.ssl.feature.source.feature.group" version="1.1.0.v20170110-1317"/>
+      <unit id="org.eclipse.equinox.p2.discovery.feature.feature.group" version="1.1.0.v20170418-0708"/>
+      <unit id="org.eclipse.equinox.sdk.feature.group" version="3.13.0.v20170531-1133"/>
+      <unit id="org.eclipse.help.feature.group" version="2.2.100.v20170612-0950"/>
+      <unit id="org.eclipse.help.source.feature.group" version="2.2.100.v20170612-0950"/>
+      <unit id="org.eclipse.platform.feature.group" version="4.7.0.v20170612-1255"/>
+      <unit id="org.eclipse.platform.source.feature.group" version="4.7.0.v20170612-1255"/>
+      <unit id="org.eclipse.rcp.feature.group" version="4.7.0.v20170612-1255"/>
+      <unit id="org.eclipse.rcp.source.feature.group" version="4.7.0.v20170612-1255"/>
+      <unit id="org.eclipse.releng.tools.feature.group" version="3.9.100.v20170516-0717"/>
+      <unit id="org.eclipse.sdk.ide" version="4.7.0.I20170612-0950"/>
+      <unit id="org.eclipse.swt.tools.feature.feature.group" version="3.106.0.v20170503-0851"/>
+      <repository location="http://www.simantics.org/update/eclipse/updates/4.7/"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.eclipse.nebula.cwt.feature.feature.group" version="1.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.effects.stw.feature.feature.group" version="1.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.examples.feature.feature.group" version="1.0.4.201706221838"/>
+      <unit id="org.eclipse.nebula.examples.release.feature.feature.group" version="1.1.0.201706221838"/>
+      <unit id="org.eclipse.nebula.feature.feature.group" version="1.3.0.201706221838"/>
+      <unit id="org.eclipse.nebula.visualization.feature.feature.group" version="2.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.cdatetime.feature.feature.group" version="1.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.compositetable.feature.feature.group" version="1.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.gallery.feature.feature.group" version="1.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.ganttchart.feature.feature.group" version="1.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.grid.feature.feature.group" version="1.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.oscilloscope.feature.feature.group" version="1.3.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.paperclips.feature.feature.group" version="2.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.pgroup.feature.feature.group" version="1.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.pshelf.css.feature.feature.group" version="1.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.pshelf.feature.feature.group" version="1.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.richtext.feature.feature.group" version="1.2.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.tablecombo.feature.feature.group" version="1.0.0.201706221838"/>
+      <unit id="org.eclipse.nebula.widgets.xviewer.feature.feature.group" version="1.0.0.201706221838"/>
+      <repository location="http://www.simantics.org/update/nebula/releases/1.3.0/release/"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.eclipse.nebula.widgets.nattable.core.feature.feature.group" version="1.5.0.201703192131"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.core.source.feature.feature.group" version="1.5.0.201703192131"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.e4.feature.feature.group" version="1.1.0.201703192131"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.e4.source.feature.feature.group" version="1.1.0.201703192131"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.glazedlists.feature.feature.group" version="1.5.0.201703192131"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.glazedlists.source.feature.feature.group" version="1.5.0.201703192131"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.nebula.feature.feature.group" version="1.1.0.201703192131"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.nebula.source.feature.feature.group" version="1.1.0.201703192131"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.poi.feature.feature.group" version="1.5.0.201703192131"/>
+      <unit id="org.eclipse.nebula.widgets.nattable.extension.poi.source.feature.feature.group" version="1.5.0.201703192131"/>
+      <repository location="http://www.simantics.org/update/nebula/nattable/releases/1.5.0/repository/"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.eclipse.e4.tools.spies.feature.feature.group" version="0.17.0.v20170601-1400"/>
+      <repository location="http://www.simantics.org/update/e4/snapshots/org.eclipse.e4.tools/latest-oxygen/"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.eclipse.nebula.incubation.feature.feature.group" version="1.0.0.201708070950"/>
+      <unit id="org.eclipse.nebula.examples.incubation.feature.feature.group" version="1.0.0.201708070950"/>
+      <repository location="http://www.simantics.org/update/nebula/releases/1.3.0/incubation/"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="bouncycastle.bcmail-jdk14" version="138.0.0"/>
+      <unit id="bouncycastle.bcprov-jdk14" version="138.0.0"/>
+      <unit id="ch.qos.logback.classic" version="1.2.3"/>
+      <unit id="ch.qos.logback.classic.source" version="1.2.3"/>
+      <unit id="ch.qos.logback.core" version="1.2.3"/>
+      <unit id="ch.qos.logback.core.source" version="1.2.3"/>
+      <unit id="com.google.api.grpc.proto-google-common-protos" version="1.0.0"/>
+      <unit id="com.google.api.grpc.proto-google-common-protos.source" version="1.0.0"/>
+      <unit id="com.google.code.findbugs.jsr305" version="3.0.0"/>
+      <unit id="com.google.code.findbugs.jsr305.source" version="3.0.0"/>
+      <unit id="com.google.errorprone.error_prone_annotations" version="2.1.2"/>
+      <unit id="com.google.errorprone.error_prone_annotations.source" version="2.1.2"/>
+      <unit id="com.google.gson" version="2.7.0"/>
+      <unit id="com.google.gson.source" version="2.7.0"/>
+      <unit id="com.google.protobuf" version="3.5.1"/>
+      <unit id="com.google.protobuf.source" version="3.5.1"/>
+      <unit id="com.esotericsoftware.kryo" version="4.0.0"/>
+      <unit id="com.esotericsoftware.kryo.source" version="4.0.0"/>
+      <unit id="com.esotericsoftware.minlog" version="1.3.0"/>
+      <unit id="com.esotericsoftware.minlog.source" version="1.3.0"/>
+      <unit id="com.esotericsoftware.reflectasm" version="1.11.3"/>
+      <unit id="com.esotericsoftware.reflectasm.source" version="1.11.3"/>
+      <unit id="com.fasterxml.jackson.core.jackson-annotations" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.core.jackson-annotations.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.core.jackson-core" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.core.jackson-core.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.core.jackson-databind" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.core.jackson-databind.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-csv" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-csv.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-xml" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.dataformat.jackson-dataformat-xml.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.datatype.jackson-datatype-jsr310" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.datatype.jackson-datatype-jsr310.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-base" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-base.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider.source" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.module.jackson-module-jaxb-annotations" version="2.8.8"/>
+      <unit id="com.fasterxml.jackson.module.jackson-module-jaxb-annotations.source" version="2.8.8"/>
+      <unit id="com.fasterxml.woodstox.woodstox-core" version="5.0.3"/>
+      <unit id="com.fasterxml.woodstox.woodstox-core.source" version="5.0.3"/>
+      <unit id="com.github.virtuald.curvesapi" version="1.4.0"/>
+      <unit id="com.github.virtuald.curvesapi.source" version="1.4.0"/>
+      <unit id="com.healthmarketscience.jackcess" version="2.1.3"/>
+      <unit id="com.healthmarketscience.jackcess.source" version="2.1.3"/>
+      <unit id="com.koloboke.api-jdk8" version="1.0.0"/>
+      <unit id="com.koloboke.api-jdk8.source" version="1.0.0"/>
+      <unit id="com.koloboke.compile" version="0.5.1"/>
+      <unit id="com.koloboke.compile.source" version="0.5.1"/>
+      <unit id="com.koloboke.impl-common-jdk8" version="1.0.0"/>
+      <unit id="com.koloboke.impl-common-jdk8.source" version="1.0.0"/>
+      <unit id="com.lowagie.text" version="2.1.7.b1"/>
+      <unit id="com.lowagie.text.source" version="2.1.7.b1"/>
+      <unit id="com.sun.jna" version="4.3.0"/>
+      <unit id="com.sun.jna.platform" version="4.3.0"/>
+      <unit id="com.sun.jna.platform.source" version="4.3.0"/>
+      <unit id="com.sun.jna.source" version="4.3.0"/>
+      <unit id="freemarker" version="2.3.23.stable"/>
+      <unit id="freemarker.source" version="2.3.23.stable"/>
+      <unit id="gnu.trove3" version="3.0.3"/>
+      <unit id="gnu.trove3.source" version="3.0.3"/>
+      <unit id="io.grpc.stub" version="1.14.0"/>
+      <unit id="io.grpc.stub.source" version="1.14.0"/>
+      <unit id="io.grpc.core" version="1.14.0"/>
+      <unit id="io.grpc.core.source" version="1.14.0"/>
+      <unit id="io.grpc.context" version="1.14.0"/>
+      <unit id="io.grpc.context.source" version="1.14.0"/>
+      <unit id="io.grpc.netty" version="1.14.0"/>
+      <unit id="io.grpc.netty.source" version="1.14.0"/>
+      <unit id="io.grpc.protobuf" version="1.14.0"/>
+      <unit id="io.grpc.protobuf.source" version="1.14.0"/>
+      <unit id="io.grpc.protobuf-lite" version="1.14.0"/>
+      <unit id="io.grpc.protobuf-lite.source" version="1.14.0"/>
+      <unit id="io.netty.buffer" version="4.1.27.Final"/>
+      <unit id="io.netty.buffer.source" version="4.1.27.Final"/>
+      <unit id="io.netty.codec" version="4.1.27.Final"/>
+      <unit id="io.netty.codec.source" version="4.1.27.Final"/>
+      <unit id="io.netty.codec-http" version="4.1.27.Final"/>
+      <unit id="io.netty.codec-http.source" version="4.1.27.Final"/>
+      <unit id="io.netty.codec-http2" version="4.1.27.Final"/>
+      <unit id="io.netty.codec-http2.source" version="4.1.27.Final"/>
+      <unit id="io.netty.codec-socks" version="4.1.27.Final"/>
+      <unit id="io.netty.codec-socks.source" version="4.1.27.Final"/>
+      <unit id="io.netty.common" version="4.1.27.Final"/>
+      <unit id="io.netty.common.source" version="4.1.27.Final"/>
+      <unit id="io.netty.handler" version="4.1.27.Final"/>
+      <unit id="io.netty.handler.source" version="4.1.27.Final"/>
+      <unit id="io.netty.handler-proxy" version="4.1.27.Final"/>
+      <unit id="io.netty.handler-proxy.source" version="4.1.27.Final"/>
+      <unit id="io.netty.resolver" version="4.1.27.Final"/>
+      <unit id="io.netty.resolver.source" version="4.1.27.Final"/>
+      <unit id="io.netty.transport" version="4.1.27.Final"/>
+      <unit id="io.netty.transport.source" version="4.1.27.Final"/>
+      <unit id="io.opencensus.api" version="0.12.3"/>
+      <unit id="io.opencensus.api.source" version="0.12.3"/>
+      <unit id="io.opencensus.contrib-grpc-metrics" version="0.12.3"/>
+      <unit id="io.opencensus.contrib-grpc-metrics.source" version="0.12.3"/>
+      <unit id="it.unimi.dsi.fastutil" version="7.2.1"/>
+      <unit id="it.unimi.dsi.fastutil.source" version="7.2.1"/>
+      <unit id="jakarta-regexp" version="1.4.0"/>
+      <unit id="javassist" version="3.20.0.GA"/>
+      <unit id="javassist.source" version="3.20.0.GA"/>
+      <unit id="javax.servlet-api" version="3.1.0"/>
+      <unit id="javax.servlet-api.source" version="3.1.0"/>
+      <unit id="javax.validation.api" version="1.1.0.Final"/>
+      <unit id="javax.validation.api.source" version="1.1.0.Final"/>
+      <unit id="javax.ws.rs-api" version="2.0.1"/>
+      <unit id="javax.ws.rs-api.source" version="2.0.1"/>
+      <unit id="net.jcip.annotations" version="1.0.0"/>
+      <unit id="net.jcip.annotations.source" version="1.0.0"/>
+      <unit id="net.ucanaccess" version="3.0.7"/>
+      <unit id="net.ucanaccess.source" version="3.0.7"/>
+      <unit id="org.antlr.runtime" version="3.5.2"/>
+      <unit id="org.antlr.runtime.source" version="3.5.2"/>
+      <unit id="org.apache.aries.spifly.core-internal" version="1.0.8"/>
+      <unit id="org.apache.aries.spifly.dynamic.bundle" version="1.0.8"/>
+      <unit id="org.apache.aries.spifly.weaver-internal" version="1.0.8"/>
+      <unit id="org.apache.aries.util" version="1.0.0"/>
+      <unit id="org.apache.commons.codec" version="1.10.0"/>
+      <unit id="org.apache.commons.codec.source" version="1.10.0"/>
+      <unit id="org.apache.commons.collections" version="3.2.2"/>
+      <unit id="org.apache.commons.collections.source" version="3.2.2"/>
+      <unit id="org.apache.commons.collections4" version="4.1.0"/>
+      <unit id="org.apache.commons.collections4.source" version="4.1.0"/>
+      <unit id="org.apache.commons.compress" version="1.12.0"/>
+      <unit id="org.apache.commons.compress.source" version="1.12.0"/>
+      <unit id="org.apache.commons.io" version="2.4.0"/>
+      <unit id="org.apache.commons.io.source" version="2.4.0"/>
+      <unit id="org.apache.commons.lang" version="2.6.0"/>
+      <unit id="org.apache.commons.lang.source" version="2.6.0"/>
+      <unit id="org.apache.commons.logging" version="1.2.0"/>
+      <unit id="org.apache.commons.logging.source" version="1.2.0"/>
+      <unit id="org.apache.commons.math3" version="3.6.1"/>
+      <unit id="org.apache.commons.math3.source" version="3.6.1"/>
+      <unit id="org.apache.log4j" version="1.2.17"/>
+      <unit id="org.apache.log4j.source" version="1.2.17"/>
+      <unit id="org.apache.lucene4.analyzers-common" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.analyzers-common.source" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.core" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.core.source" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.queries" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.queries.source" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.queryparser" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.queryparser.source" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.sandbox" version="4.9.0.b0003"/>
+      <unit id="org.apache.lucene4.sandbox.source" version="4.9.0.b0003"/>
+      <unit id="org.apache.pdfbox" version="2.0.3"/>
+      <unit id="org.apache.pdfbox.fontbox" version="2.0.3"/>
+      <unit id="org.apache.pdfbox.fontbox.source" version="2.0.3"/>
+      <unit id="org.apache.pdfbox.source" version="2.0.3"/>
+      <unit id="org.apache.pdfbox.xmpbox" version="2.0.3"/>
+      <unit id="org.apache.pdfbox.xmpbox.source" version="2.0.3"/>
+      <unit id="org.apache.xmlbeans" version="2.6.0"/>
+      <unit id="org.bouncycastle.bcmail-jdk14" version="1.38.0"/>
+      <unit id="org.bouncycastle.bcmail-jdk14.source" version="1.38.0"/>
+      <unit id="org.bouncycastle.bcprov-jdk14" version="1.38.0"/>
+      <unit id="org.bouncycastle.bcprov-jdk14.source" version="1.38.0"/>
+      <unit id="org.bouncycastle.bctsp-jdk14" version="1.38.0"/>
+      <unit id="org.bouncycastle.bctsp-jdk14.source" version="1.38.0"/>
+      <unit id="org.eclipse.collections.eclipse-collections-api" version="8.1.0"/>
+      <unit id="org.eclipse.collections.eclipse-collections-api.source" version="8.1.0"/>
+      <unit id="org.eclipse.collections.eclipse-collections" version="8.1.0"/>
+      <unit id="org.eclipse.collections.eclipse-collections.source" version="8.1.0"/>
+      <unit id="org.eclipse.jetty.servlets" version="9.4.5.v20170502"/>
+      <unit id="org.eclipse.jetty.servlets.source" version="9.4.5.v20170502"/>
+      <unit id="org.glassfish.hk2.api" version="2.5.0.b32"/>
+      <unit id="org.glassfish.hk2.api.source" version="2.5.0.b32"/>
+      <unit id="org.glassfish.hk2.locator" version="2.5.0.b32"/>
+      <unit id="org.glassfish.hk2.locator.source" version="2.5.0.b32"/>
+      <unit id="org.glassfish.hk2.osgi-resource-locator" version="1.0.1"/>
+      <unit id="org.glassfish.hk2.osgi-resource-locator.source" version="1.0.1"/>
+      <unit id="org.glassfish.hk2.utils" version="2.5.0.b32"/>
+      <unit id="org.glassfish.hk2.utils.source" version="2.5.0.b32"/>
+      <unit id="org.glassfish.jersey.bundles.repackaged.jersey-guava" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.bundles.repackaged.jersey-guava.source" version="2.25.1"/>
+      <unit id="org.glassfish.hk2.external.aopalliance-repackaged" version="2.5.0.b32"/>
+      <unit id="org.glassfish.hk2.external.aopalliance-repackaged.source" version="2.5.0.b32"/>
+      <unit id="org.glassfish.jersey.core.jersey-client" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.core.jersey-client.source" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.core.jersey-common" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.core.jersey-common.source" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.core.jersey-server" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.core.jersey-server.source" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.ext.jersey-entity-filtering" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.ext.jersey-entity-filtering.source" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.media.jersey-media-json-jackson" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.media.jersey-media-json-jackson.source" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.media.jersey-media-multipart" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.media.jersey-media-multipart.source" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.containers.jersey-container-servlet-core" version="2.25.1"/>
+      <unit id="org.glassfish.jersey.containers.jersey-container-servlet-core.source" version="2.25.1"/>
+      <unit id="org.hsqldb.hsqldb" version="2.3.1"/>
+      <unit id="org.hsqldb.hsqldb.source" version="2.3.1"/>
+      <unit id="org.ini4j" version="0.5.4"/>
+      <unit id="org.ini4j.source" version="0.5.4"/>
+      <unit id="org.jboss.windup.decompiler.api.forge-addon" version="4.0.0.Beta1"/>
+      <unit id="org.jboss.windup.decompiler.api.forge-addon.source" version="4.0.0.Beta1"/>
+      <unit id="org.jboss.windup.decompiler.procyon" version="4.0.0.Beta1"/>
+      <unit id="org.jboss.windup.decompiler.procyon.source" version="4.0.0.Beta1"/>
+      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-compilertools" version="1.0.0.20160510"/>
+      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-compilertools.source" version="1.0.0.20160510"/>
+      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-core" version="1.0.0.20160510"/>
+      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-core.source" version="1.0.0.20160510"/>
+      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-reflection" version="1.0.0.20160510"/>
+      <unit id="org.jboss.windup.decompiler.procyon.windup-procyon-reflection.source" version="1.0.0.20160510"/>
+      <unit id="org.jboss.windup.utils.windup-utils.forge-addon" version="4.0.0.Beta1"/>
+      <unit id="org.jboss.windup.utils.windup-utils.forge-addon.source" version="4.0.0.Beta1"/>
+      <unit id="jaxen" version="1.1.6"/>
+      <unit id="jaxen.source" version="1.1.6"/>
+      <unit id="org.jdom2" version="2.0.6.b0001"/>
+      <unit id="org.jdom2.source" version="2.0.6.b0001"/>
+      <unit id="org.jfree.jchart" version="1.0.19"/>
+      <unit id="org.jfree.jchart.source" version="1.0.19"/>
+      <unit id="org.jfree.jcommon" version="1.0.23"/>
+      <unit id="org.jfree.jcommon.source" version="1.0.23"/>
+      <unit id="org.jsoup" version="1.8.3"/>
+      <unit id="org.jsoup.source" version="1.8.3"/>
+      <unit id="org.jvnet.mimepull" version="1.9.6"/>
+      <unit id="org.jvnet.mimepull.source" version="1.9.6"/>
+      <unit id="org.mozilla.rhino" version="1.7.7.1"/>
+      <unit id="org.mozilla.rhino.source" version="1.7.7.1"/>
+      <unit id="org.objenesis" version="2.2.0"/>
+      <unit id="org.objenesis.source" version="2.2.0"/>
+      <unit id="org.slf4j.api" version="1.7.25.b001"/>
+      <unit id="org.slf4j.api.source" version="1.7.25.b001"/>
+      <unit id="org.supercsv" version="2.4.0"/>
+      <unit id="org.supercsv.source" version="2.4.0"/>
+      <unit id="stax2-api" version="3.1.4"/>
+      <unit id="stax2-api.source" version="3.1.4"/>
+      <repository location="http://www.simantics.org/download/master/external-components/maven"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.apache.batik" version="1.8.0.201611220734"/>
+      <unit id="org.apache.poi.feature.feature.group" version="3.15.0.b0002"/>
+      <repository location="http://www.simantics.org/download/master/external-components/manual"/>
+    </location>
+    <location includeMode="slicer" includeAllPlatforms="true" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+      <unit id="org.simantics.sdk.feature.group" version="0.0.0"/>
+      <unit id="org.simantics.sdk.source.feature.group" version="0.0.0"/>
+      <repository location="http://www.simantics.org/download/master/sdk"/>
+    </location>
+  </locations>
+</target>